/*
 React
 react-dom-server-legacy.node.production.min.js

 Copyright (c) Meta Platforms, Inc. and affiliates.

 This source code is licensed under the MIT license found in the
 LICENSE file in the root directory of this source tree.


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var ba=require("react"),ea=require("react-dom"),fa=require("stream"),ha=Symbol.for("react.element"),ma=Symbol.for("react.portal"),na=Symbol.for("react.fragment"),oa=Symbol.for("react.strict_mode"),ya=Symbol.for("react.profiler"),za=Symbol.for("react.provider"),Aa=Symbol.for("react.consumer"),Ba=Symbol.for("react.context"),Ca=Symbol.for("react.forward_ref"),Da=Symbol.for("react.suspense"),Ka=Symbol.for("react.suspense_list"),La=Symbol.for("react.memo"),Ma=Symbol.for("react.lazy"),Na=Symbol.for("react.scope"),
Oa=Symbol.for("react.debug_trace_mode"),$a=Symbol.for("react.offscreen"),gb=Symbol.for("react.legacy_hidden"),hb=Symbol.iterator,ib=Array.isArray;
function jb(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}
var u=Object.assign,y=Object.prototype.hasOwnProperty,kb=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),lb={},mb={};
function nb(a){if(y.call(mb,a))return!0;if(y.call(lb,a))return!1;if(kb.test(a))return mb[a]=!0;lb[a]=!0;return!1}
var ob=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),pb=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),qb=/["'&<>]/;
function A(a){if("boolean"===typeof a||"number"===typeof a||"bigint"===typeof a)return""+a;a=""+a;var b=qb.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}var rb=/([A-Z])/g,sb=/^ms-/,tb=/^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*:/i;
function Fb(a){return tb.test(""+a)?"javascript:throw new Error('React has blocked a javascript: URL as a security precaution.')":a}var Gb=ba.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED,Hb={pending:!1,data:null,method:null,action:null},Ib=ea.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactDOMCurrentDispatcher,Jb=Ib.current;Ib.current={flushSyncWork:Jb.flushSyncWork,prefetchDNS:Kb,preconnect:Lb,preload:Mb,preloadModule:Nb,preinitScript:Ob,preinitStyle:Pb,preinitModuleScript:Qb};
var C=[],Rb=/(<\/|<)(s)(cript)/gi;function Sb(a,b,c,d){return""+b+("s"===c?"\\u0073":"\\u0053")+d}
function Tb(a,b,c,d,e){var f=0;void 0!==b&&(f=1);return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:f,bootstrapScriptContent:c,bootstrapScripts:d,bootstrapModules:e,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}function F(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}
function Ub(a){return F("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function Vb(a,b,c){switch(b){case "noscript":return F(2,null,a.tagScope|1);case "select":return F(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return F(3,null,a.tagScope);case "picture":return F(2,null,a.tagScope|2);case "math":return F(4,null,a.tagScope);case "foreignObject":return F(2,null,a.tagScope);case "table":return F(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return F(6,null,a.tagScope);case "colgroup":return F(8,null,a.tagScope);case "tr":return F(7,null,a.tagScope)}return 5<=
a.insertionMode?F(2,null,a.tagScope):0===a.insertionMode?"html"===b?F(1,null,a.tagScope):F(2,null,a.tagScope):1===a.insertionMode?F(2,null,a.tagScope):a}var Wb=new Map;
function Xb(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(y.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=A(d);e=A((""+e).trim())}else f=Wb.get(d),void 0===f&&(f=A(d.replace(rb,"-$1").toLowerCase().replace(sb,"-ms-")),Wb.set(d,f)),e="number"===typeof e?0===e||ob.has(d)?""+e:e+"px":
A((""+e).trim());c?(c=!1,a.push(' style="',f,":",e)):a.push(";",f,":",e)}}c||a.push('"')}function Yb(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""')}function H(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(" ",b,'="',A(c),'"')}var Zb=A("javascript:throw new Error('React form unexpectedly submitted.')");
function $b(a,b){this.push('<input type="hidden"');if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");H(this,"name",b);H(this,"value",a);this.push("/>")}function ac(a,b){if("function"===typeof b.$$FORM_ACTION){var c=a.nextFormID++;a=a.idPrefix+c;try{return b.$$FORM_ACTION(a)}catch(d){if("object"===typeof d&&null!==d&&"function"===typeof d.then)throw d;}}return null}
function bc(a,b,c,d,e,f,g,k){var h=null;if("function"===typeof d){var m=ac(b,d);null!==m?(k=m.name,d=m.action||"",e=m.encType,f=m.method,g=m.target,h=m.data):(a.push(" ","formAction",'="',Zb,'"'),g=f=e=d=k=null,qc(b,c))}null!=k&&I(a,"name",k);null!=d&&I(a,"formAction",d);null!=e&&I(a,"formEncType",e);null!=f&&I(a,"formMethod",f);null!=g&&I(a,"formTarget",g);return h}
function I(a,b,c){switch(b){case "className":H(a,"class",c);break;case "tabIndex":H(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":H(a,b,c);break;case "style":Xb(a,c);break;case "src":case "href":if(""===c)break;case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=Fb(""+c);a.push(" ",b,'="',A(c),'"');break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "autoFocus":case "multiple":case "muted":Yb(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=Fb(""+c);a.push(" ","xlink:href",'="',A(c),'"');break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',A(c),'"');break;case "inert":case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""');break;case "capture":case "download":!0===c?a.push(" ",b,'=""'):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',A(c),'"');break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(" ",b,'="',A(c),'"');break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(" ",b,'="',A(c),'"');break;case "xlinkActuate":H(a,"xlink:actuate",
c);break;case "xlinkArcrole":H(a,"xlink:arcrole",c);break;case "xlinkRole":H(a,"xlink:role",c);break;case "xlinkShow":H(a,"xlink:show",c);break;case "xlinkTitle":H(a,"xlink:title",c);break;case "xlinkType":H(a,"xlink:type",c);break;case "xmlBase":H(a,"xml:base",c);break;case "xmlLang":H(a,"xml:lang",c);break;case "xmlSpace":H(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=pb.get(b)||b,nb(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(" ",b,'="',A(c),'"')}}}function J(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(""+b)}}
function rc(a){var b="";ba.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}
function qc(a,b){0!==(a.instructions&16)||b.externalRuntimeScript||(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,'addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'React form unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.ownerDocument||c,(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,d,b))}});',"\x3c/script>"))}
function M(a,b){a.push(O("link"));for(var c in b)if(y.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:I(a,c,d)}}a.push("/>");return null}
function sc(a,b,c){a.push(O(c));for(var d in b)if(y.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:I(a,d,e)}}a.push("/>");return null}
function tc(a,b){a.push(O("title"));var c=null,d=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:I(a,e,f)}}a.push(">");b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(A(""+b));J(a,d,c);a.push(uc("title"));return null}
function vc(a,b){a.push(O("script"));var c=null,d=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:I(a,e,f)}}a.push(">");J(a,d,c);"string"===typeof c&&a.push(A(c));a.push(uc("script"));return null}
function wc(a,b,c){a.push(O(c));var d=c=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:I(a,e,f)}}a.push(">");J(a,d,c);return"string"===typeof c?(a.push(A(c)),null):c}var xc=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,yc=new Map;function O(a){var b=yc.get(a);if(void 0===b){if(!xc.test(a))throw Error("Invalid tag: "+a);b="<"+a;yc.set(a,b)}return b}
function zc(a,b,c,d,e,f,g,k,h){switch(b){case "div":case "span":case "svg":case "path":break;case "a":a.push(O("a"));var m=null,n=null,l;for(l in c)if(y.call(c,l)){var p=c[l];if(null!=p)switch(l){case "children":m=p;break;case "dangerouslySetInnerHTML":n=p;break;case "href":""===p?H(a,"href",""):I(a,l,p);break;default:I(a,l,p)}}a.push(">");J(a,n,m);if("string"===typeof m){a.push(A(m));var q=null}else q=m;return q;case "g":case "p":case "li":break;case "select":a.push(O("select"));var B=null,v=null,
x;for(x in c)if(y.call(c,x)){var w=c[x];if(null!=w)switch(x){case "children":B=w;break;case "dangerouslySetInnerHTML":v=w;break;case "defaultValue":case "value":break;default:I(a,x,w)}}a.push(">");J(a,v,B);return B;case "option":var r=g.selectedValue;a.push(O("option"));var E=null,D=null,t=null,z=null,R;for(R in c)if(y.call(c,R)){var W=c[R];if(null!=W)switch(R){case "children":E=W;break;case "selected":t=W;break;case "dangerouslySetInnerHTML":z=W;break;case "value":D=W;default:I(a,R,W)}}if(null!=
r){var S=null!==D?""+D:rc(E);if(ib(r))for(var K=0;K<r.length;K++){if(""+r[K]===S){a.push(' selected=""');break}}else""+r===S&&a.push(' selected=""')}else t&&a.push(' selected=""');a.push(">");J(a,z,E);return E;case "textarea":a.push(O("textarea"));var N=null,Pa=null,ia=null,pa;for(pa in c)if(y.call(c,pa)){var P=c[pa];if(null!=P)switch(pa){case "children":ia=P;break;case "value":N=P;break;case "defaultValue":Pa=P;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");
default:I(a,pa,P)}}null===N&&null!==Pa&&(N=Pa);a.push(">");if(null!=ia){if(null!=N)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(ib(ia)){if(1<ia.length)throw Error("<textarea> can only have at most one child.");N=""+ia[0]}N=""+ia}"string"===typeof N&&"\n"===N[0]&&a.push("\n");null!==N&&a.push(A(""+N));return null;case "input":a.push(O("input"));var qa=null,ca=null,Ea=null,ra=null,Qa=null,ja=null,cc=null,dc=null,ec=null,Ra;for(Ra in c)if(y.call(c,Ra)){var X=
c[Ra];if(null!=X)switch(Ra){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":qa=X;break;case "formAction":ca=X;break;case "formEncType":Ea=X;break;case "formMethod":ra=X;break;case "formTarget":Qa=X;break;case "defaultChecked":ec=X;break;case "defaultValue":cc=X;break;case "checked":dc=X;break;case "value":ja=X;break;default:I(a,Ra,X)}}var nd=bc(a,d,e,ca,Ea,ra,Qa,qa);null!==dc?
Yb(a,"checked",dc):null!==ec&&Yb(a,"checked",ec);null!==ja?I(a,"value",ja):null!==cc&&I(a,"value",cc);a.push("/>");null!=nd&&nd.forEach($b,a);return null;case "button":a.push(O("button"));var Sa=null,od=null,pd=null,qd=null,rd=null,sd=null,td=null,Ta;for(Ta in c)if(y.call(c,Ta)){var da=c[Ta];if(null!=da)switch(Ta){case "children":Sa=da;break;case "dangerouslySetInnerHTML":od=da;break;case "name":pd=da;break;case "formAction":qd=da;break;case "formEncType":rd=da;break;case "formMethod":sd=da;break;
case "formTarget":td=da;break;default:I(a,Ta,da)}}var ud=bc(a,d,e,qd,rd,sd,td,pd);a.push(">");null!=ud&&ud.forEach($b,a);J(a,od,Sa);if("string"===typeof Sa){a.push(A(Sa));var vd=null}else vd=Sa;return vd;case "form":a.push(O("form"));var Ua=null,wd=null,sa=null,Va=null,Wa=null,Xa=null,Ya;for(Ya in c)if(y.call(c,Ya)){var ka=c[Ya];if(null!=ka)switch(Ya){case "children":Ua=ka;break;case "dangerouslySetInnerHTML":wd=ka;break;case "action":sa=ka;break;case "encType":Va=ka;break;case "method":Wa=ka;break;
case "target":Xa=ka;break;default:I(a,Ya,ka)}}var fc=null,gc=null;if("function"===typeof sa){var ta=ac(d,sa);null!==ta?(sa=ta.action||"",Va=ta.encType,Wa=ta.method,Xa=ta.target,fc=ta.data,gc=ta.name):(a.push(" ","action",'="',Zb,'"'),Xa=Wa=Va=sa=null,qc(d,e))}null!=sa&&I(a,"action",sa);null!=Va&&I(a,"encType",Va);null!=Wa&&I(a,"method",Wa);null!=Xa&&I(a,"target",Xa);a.push(">");null!==gc&&(a.push('<input type="hidden"'),H(a,"name",gc),a.push("/>"),null!=fc&&fc.forEach($b,a));J(a,wd,Ua);if("string"===
typeof Ua){a.push(A(Ua));var xd=null}else xd=Ua;return xd;case "menuitem":a.push(O("menuitem"));for(var ub in c)if(y.call(c,ub)){var yd=c[ub];if(null!=yd)switch(ub){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:I(a,ub,yd)}}a.push(">");return null;case "title":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var hc=tc(a,c);else h?hc=null:(tc(e.hoistableChunks,c),hc=void 0);return hc;case "link":var $e=c.rel,
la=c.href,vb=c.precedence;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof $e||"string"!==typeof la||""===la){M(a,c);var Za=null}else if("stylesheet"===c.rel)if("string"!==typeof vb||null!=c.disabled||c.onLoad||c.onError)Za=M(a,c);else{var Fa=e.styles.get(vb),wb=d.styleResources.hasOwnProperty(la)?d.styleResources[la]:void 0;if(null!==wb){d.styleResources[la]=null;Fa||(Fa={precedence:A(vb),rules:[],hrefs:[],sheets:new Map},e.styles.set(vb,Fa));var xb={state:0,props:u({},c,
{"data-precedence":c.precedence,precedence:null})};if(wb){2===wb.length&&Ac(xb.props,wb);var ic=e.preloads.stylesheets.get(la);ic&&0<ic.length?ic.length=0:xb.state=1}Fa.sheets.set(la,xb);f&&f.stylesheets.add(xb)}else if(Fa){var zd=Fa.sheets.get(la);zd&&f&&f.stylesheets.add(zd)}k&&a.push("\x3c!-- --\x3e");Za=null}else c.onLoad||c.onError?Za=M(a,c):(k&&a.push("\x3c!-- --\x3e"),Za=h?null:M(e.hoistableChunks,c));return Za;case "script":var jc=c.async;if("string"!==typeof c.src||!c.src||!jc||"function"===
typeof jc||"symbol"===typeof jc||c.onLoad||c.onError||3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var Ad=vc(a,c);else{var yb=c.src;if("module"===c.type){var zb=d.moduleScriptResources;var Bd=e.preloads.moduleScripts}else zb=d.scriptResources,Bd=e.preloads.scripts;var Ab=zb.hasOwnProperty(yb)?zb[yb]:void 0;if(null!==Ab){zb[yb]=null;var kc=c;if(Ab){2===Ab.length&&(kc=u({},c),Ac(kc,Ab));var Cd=Bd.get(yb);Cd&&(Cd.length=0)}var Dd=[];e.scripts.add(Dd);vc(Dd,kc)}k&&a.push("\x3c!-- --\x3e");Ad=null}return Ad;
case "style":var Bb=c.precedence,ua=c.href;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof Bb||"string"!==typeof ua||""===ua){a.push(O("style"));var Ga=null,Ed=null,ab;for(ab in c)if(y.call(c,ab)){var Cb=c[ab];if(null!=Cb)switch(ab){case "children":Ga=Cb;break;case "dangerouslySetInnerHTML":Ed=Cb;break;default:I(a,ab,Cb)}}a.push(">");var bb=Array.isArray(Ga)?2>Ga.length?Ga[0]:null:Ga;"function"!==typeof bb&&"symbol"!==typeof bb&&null!==bb&&void 0!==bb&&a.push(A(""+bb));J(a,
Ed,Ga);a.push(uc("style"));var Fd=null}else{var va=e.styles.get(Bb);if(null!==(d.styleResources.hasOwnProperty(ua)?d.styleResources[ua]:void 0)){d.styleResources[ua]=null;va?va.hrefs.push(A(ua)):(va={precedence:A(Bb),rules:[],hrefs:[A(ua)],sheets:new Map},e.styles.set(Bb,va));var Gd=va.rules,Ha=null,Hd=null,Db;for(Db in c)if(y.call(c,Db)){var lc=c[Db];if(null!=lc)switch(Db){case "children":Ha=lc;break;case "dangerouslySetInnerHTML":Hd=lc}}var cb=Array.isArray(Ha)?2>Ha.length?Ha[0]:null:Ha;"function"!==
typeof cb&&"symbol"!==typeof cb&&null!==cb&&void 0!==cb&&Gd.push(A(""+cb));J(Gd,Hd,Ha)}va&&f&&f.styles.add(va);k&&a.push("\x3c!-- --\x3e");Fd=void 0}return Fd;case "meta":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var Id=sc(a,c,"meta");else k&&a.push("\x3c!-- --\x3e"),Id=h?null:"string"===typeof c.charSet?sc(e.charsetChunks,c,"meta"):"viewport"===c.name?sc(e.viewportChunks,c,"meta"):sc(e.hoistableChunks,c,"meta");return Id;case "listing":case "pre":a.push(O(b));var db=null,eb=null,fb;
for(fb in c)if(y.call(c,fb)){var Eb=c[fb];if(null!=Eb)switch(fb){case "children":db=Eb;break;case "dangerouslySetInnerHTML":eb=Eb;break;default:I(a,fb,Eb)}}a.push(">");if(null!=eb){if(null!=db)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof eb||!("__html"in eb))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");var wa=eb.__html;
null!==wa&&void 0!==wa&&("string"===typeof wa&&0<wa.length&&"\n"===wa[0]?a.push("\n",wa):a.push(""+wa))}"string"===typeof db&&"\n"===db[0]&&a.push("\n");return db;case "img":var L=c.src,G=c.srcSet;if(!("lazy"===c.loading||!L&&!G||"string"!==typeof L&&null!=L||"string"!==typeof G&&null!=G)&&"low"!==c.fetchPriority&&!1===!!(g.tagScope&2)&&("string"!==typeof L||":"!==L[4]||"d"!==L[0]&&"D"!==L[0]||"a"!==L[1]&&"A"!==L[1]||"t"!==L[2]&&"T"!==L[2]||"a"!==L[3]&&"A"!==L[3])&&("string"!==typeof G||":"!==G[4]||
"d"!==G[0]&&"D"!==G[0]||"a"!==G[1]&&"A"!==G[1]||"t"!==G[2]&&"T"!==G[2]||"a"!==G[3]&&"A"!==G[3])){var Jd="string"===typeof c.sizes?c.sizes:void 0,Ia=G?G+"\n"+(Jd||""):L,mc=e.preloads.images,xa=mc.get(Ia);if(xa){if("high"===c.fetchPriority||10>e.highImagePreloads.size)mc.delete(Ia),e.highImagePreloads.add(xa)}else if(!d.imageResources.hasOwnProperty(Ia)){d.imageResources[Ia]=C;var nc=c.crossOrigin;var Kd="string"===typeof nc?"use-credentials"===nc?nc:"":void 0;var aa=e.headers,oc;aa&&0<aa.remainingCapacity&&
("high"===c.fetchPriority||500>aa.highImagePreloads.length)&&(oc=Bc(L,"image",{imageSrcSet:c.srcSet,imageSizes:c.sizes,crossOrigin:Kd,integrity:c.integrity,nonce:c.nonce,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.refererPolicy}),2<=(aa.remainingCapacity-=oc.length))?(e.resets.image[Ia]=C,aa.highImagePreloads&&(aa.highImagePreloads+=", "),aa.highImagePreloads+=oc):(xa=[],M(xa,{rel:"preload",as:"image",href:G?void 0:L,imageSrcSet:G,imageSizes:Jd,crossOrigin:Kd,integrity:c.integrity,
type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(xa):(e.bulkPreloads.add(xa),mc.set(Ia,xa)))}}return sc(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return sc(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;
case "head":if(2>g.insertionMode&&null===e.headChunks){e.headChunks=[];var Ld=wc(e.headChunks,c,"head")}else Ld=wc(a,c,"head");return Ld;case "html":if(0===g.insertionMode&&null===e.htmlChunks){e.htmlChunks=[""];var Md=wc(e.htmlChunks,c,"html")}else Md=wc(a,c,"html");return Md;default:if(-1!==b.indexOf("-")){a.push(O(b));var pc=null,Nd=null,Ja;for(Ja in c)if(y.call(c,Ja)){var Y=c[Ja];if(null!=Y){var Od=Ja;switch(Ja){case "children":pc=Y;break;case "dangerouslySetInnerHTML":Nd=Y;break;case "style":Xb(a,
Y);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;case "className":Od="class";default:if(nb(Ja)&&"function"!==typeof Y&&"symbol"!==typeof Y&&!1!==Y){if(!0===Y)Y="";else if("object"===typeof Y)continue;a.push(" ",Od,'="',A(Y),'"')}}}}a.push(">");J(a,Nd,pc);return pc}}return wc(a,c,b)}var Cc=new Map;function uc(a){var b=Cc.get(a);void 0===b&&(b="</"+a+">",Cc.set(a,b));return b}
function Dc(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)a.push(b[c]);return c<b.length?(c=b[c],b.length=0,a.push(c)):!0}function Ec(a,b,c){a.push('\x3c!--$?--\x3e<template id="');if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");a.push(b.boundaryPrefix);b=c.toString(16);a.push(b);return a.push('"></template>')}
function Fc(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return a.push('<div hidden id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 3:return a.push('<svg aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 4:return a.push('<math aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 5:return a.push('<table hidden id="'),a.push(b.segmentPrefix),
b=d.toString(16),a.push(b),a.push('">');case 6:return a.push('<table hidden><tbody id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 7:return a.push('<table hidden><tr id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 8:return a.push('<table hidden><colgroup id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');default:throw Error("Unknown insertion mode. This is a bug in React.");}}
function Gc(a,b){switch(b.insertionMode){case 0:case 1:case 2:return a.push("</div>");case 3:return a.push("</svg>");case 4:return a.push("</math>");case 5:return a.push("</table>");case 6:return a.push("</tbody></table>");case 7:return a.push("</tr></table>");case 8:return a.push("</colgroup></table>");default:throw Error("Unknown insertion mode. This is a bug in React.");}}var Hc=/[<\u2028\u2029]/g;
function Ic(a){return JSON.stringify(a).replace(Hc,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Jc=/[&><\u2028\u2029]/g;
function Kc(a){return JSON.stringify(a).replace(Jc,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Lc=!1,Mc=!0;
function Nc(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){this.push('<style media="not all" data-precedence="');this.push(a.precedence);for(this.push('" data-href="');d<c.length-1;d++)this.push(c[d]),this.push(" ");this.push(c[d]);this.push('">');for(d=0;d<b.length;d++)this.push(b[d]);Mc=this.push("</style>");Lc=!0;b.length=0;c.length=0}}function Oc(a){return 2!==a.state?Lc=!0:!1}function Pc(a,b,c){Lc=!1;Mc=!0;b.styles.forEach(Nc,a);b.stylesheets.forEach(Oc);Lc&&(c.stylesToHoist=!0);return Mc}
function Q(a){for(var b=0;b<a.length;b++)this.push(a[b]);a.length=0}var Qc=[];function Rc(a){M(Qc,a.props);for(var b=0;b<Qc.length;b++)this.push(Qc[b]);Qc.length=0;a.state=2}
function Sc(a){var b=0<a.sheets.size;a.sheets.forEach(Rc,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){this.push('<style data-precedence="');this.push(a.precedence);a=0;if(d.length){for(this.push('" data-href="');a<d.length-1;a++)this.push(d[a]),this.push(" ");this.push(d[a])}this.push('">');for(a=0;a<c.length;a++)this.push(c[a]);this.push("</style>");c.length=0;d.length=0}}
function Tc(a){if(0===a.state){a.state=1;var b=a.props;M(Qc,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<Qc.length;a++)this.push(Qc[a]);Qc.length=0}}function Uc(a){a.sheets.forEach(Tc,this);a.sheets.clear()}
function Vc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=Kc(""+d.props.href),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=Fb(""+d.props.href);g=Kc(g);a.push(g);e=""+e;a.push(",");e=Kc(e);a.push(e);for(var k in f)if(y.call(f,k)&&(e=f[k],null!=e))switch(k){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:Wc(a,k,e)}a.push("]");c=",[";d.state=3}});a.push("]")}
function Wc(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=Fb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!nb(b))return;b=""+c}a.push(",");d=Kc(d);a.push(d);
a.push(",");d=Kc(b);a.push(d)}
function Xc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=A(JSON.stringify(""+d.props.href)),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=Fb(""+d.props.href);g=A(JSON.stringify(g));a.push(g);e=""+e;a.push(",");e=A(JSON.stringify(e));a.push(e);for(var k in f)if(y.call(f,k)&&(e=f[k],null!=e))switch(k){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:Yc(a,k,e)}a.push("]");c=",[";d.state=3}});a.push("]")}
function Yc(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=Fb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!nb(b))return;b=""+c}a.push(",");d=A(JSON.stringify(d));
a.push(d);a.push(",");d=A(JSON.stringify(b));a.push(d)}function Zc(){return{styles:new Set,stylesheets:new Set}}
function Kb(a){var b=T?T:null;if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){c.dnsResources[a]=null;c=d.headers;var e,f;if(f=c&&0<c.remainingCapacity)f=(e="<"+(""+a).replace($c,ad)+">; rel=dns-prefetch",2<=(c.remainingCapacity-=e.length));f?(d.resets.dns[a]=null,c.preconnects&&(c.preconnects+=", "),c.preconnects+=e):(e=[],M(e,{href:a,rel:"dns-prefetch"}),d.preconnects.add(e))}bd(b)}}else Jb.prefetchDNS(a)}
function Lb(a,b){var c=T?T:null;if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){var f="use-credentials"===b?"credentials":"string"===typeof b?"anonymous":"default";if(!d.connectResources[f].hasOwnProperty(a)){d.connectResources[f][a]=null;d=e.headers;var g,k;if(k=d&&0<d.remainingCapacity){k="<"+(""+a).replace($c,ad)+">; rel=preconnect";if("string"===typeof b){var h=(""+b).replace(cd,dd);k+='; crossorigin="'+h+'"'}k=(g=k,2<=(d.remainingCapacity-=g.length))}k?(e.resets.connect[f][a]=
null,d.preconnects&&(d.preconnects+=", "),d.preconnects+=g):(f=[],M(f,{rel:"preconnect",href:a,crossOrigin:b}),e.preconnects.add(f))}bd(c)}}else Jb.preconnect(a,b)}
function Mb(a,b,c){var d=T?T:null;if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var g=c.imageSrcSet;var k=c.imageSizes;var h=c.fetchPriority}var m=g?g+"\n"+(k||""):a;if(e.imageResources.hasOwnProperty(m))return;e.imageResources[m]=C;e=f.headers;var n;e&&0<e.remainingCapacity&&"high"===h&&(n=Bc(a,b,c),2<=(e.remainingCapacity-=n.length))?(f.resets.image[m]=C,e.highImagePreloads&&(e.highImagePreloads+=", "),e.highImagePreloads+=n):(e=[],M(e,u({rel:"preload",href:g?
void 0:a,as:b},c)),"high"===h?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(m,e)));break;case "style":if(e.styleResources.hasOwnProperty(a))return;g=[];M(g,u({rel:"preload",href:a,as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?C:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,g);f.bulkPreloads.add(g);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;g=[];f.preloads.scripts.set(a,g);f.bulkPreloads.add(g);
M(g,u({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?C:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(g=e.unknownResources[b],g.hasOwnProperty(a))return}else g={},e.unknownResources[b]=g;g[a]=C;if((e=f.headers)&&0<e.remainingCapacity&&"font"===b&&(m=Bc(a,b,c),2<=(e.remainingCapacity-=m.length)))f.resets.font[a]=C,e.fontPreloads&&(e.fontPreloads+=", "),e.fontPreloads+=m;else switch(e=[],
a=u({rel:"preload",href:a,as:b},c),M(e,a),b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}}bd(d)}}else Jb.preload(a,b,c)}
function Nb(a,b){var c=T?T:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?C:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var g=d.unknownResources[f];if(g.hasOwnProperty(a))return}else g={},d.moduleUnknownResources[f]=
g;f=[];g[a]=C}M(f,u({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);bd(c)}}else Jb.preloadModule(a,b)}
function Pb(a,b,c){var d=T?T:null;if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var g=f.styles.get(b),k=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==k&&(e.styleResources[a]=null,g||(g={precedence:A(b),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,g)),b={state:0,props:u({rel:"stylesheet",href:a,"data-precedence":b},c)},k&&(2===k.length&&Ac(b.props,k),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),g.sheets.set(a,b),bd(d))}}else Jb.preinitStyle(a,
b,c)}function Ob(a,b){var c=T?T:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=u({src:a,async:!0},b),f&&(2===f.length&&Ac(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),vc(a,b),bd(c))}}else Jb.preinitScript(a,b)}
function Qb(a,b){var c=T?T:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=u({src:a,type:"module",async:!0},b),f&&(2===f.length&&Ac(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),vc(a,b),bd(c))}}else Jb.preinitModuleScript(a,b)}function Ac(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}
function Bc(a,b,c){a=(""+a).replace($c,ad);b=(""+b).replace(cd,dd);b="<"+a+'>; rel=preload; as="'+b+'"';for(var d in c)y.call(c,d)&&(a=c[d],"string"===typeof a&&(b+="; "+d.toLowerCase()+'="'+(""+a).replace(cd,dd)+'"'));return b}var $c=/[<>\r\n]/g;
function ad(a){switch(a){case "<":return"%3C";case ">":return"%3E";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeLinkHrefForHeaderContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}var cd=/["';,\r\n]/g;
function dd(a){switch(a){case '"':return"%22";case "'":return"%27";case ";":return"%3B";case ",":return"%2C";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeStringForLinkHeaderQuotedParamValueContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}function ed(a){this.styles.add(a)}function fd(a){this.stylesheets.add(a)}
function gd(a,b){var c=a.idPrefix,d=[],e=a.bootstrapScriptContent,f=a.bootstrapScripts,g=a.bootstrapModules;void 0!==e&&d.push("<script>",(""+e).replace(Rb,Sb),"\x3c/script>");e=c+"P:";var k=c+"S:";c+="B:";var h=new Set,m=new Set,n=new Set,l=new Map,p=new Set,q=new Set,B=new Set,v={images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map};if(void 0!==f)for(var x=0;x<f.length;x++){var w=f[x],r,E=void 0,D=void 0,t={rel:"preload",as:"script",fetchPriority:"low",nonce:void 0};"string"===
typeof w?t.href=r=w:(t.href=r=w.src,t.integrity=D="string"===typeof w.integrity?w.integrity:void 0,t.crossOrigin=E="string"===typeof w||null==w.crossOrigin?void 0:"use-credentials"===w.crossOrigin?"use-credentials":"");w=a;var z=r;w.scriptResources[z]=null;w.moduleScriptResources[z]=null;w=[];M(w,t);p.add(w);d.push('<script src="',A(r));"string"===typeof D&&d.push('" integrity="',A(D));"string"===typeof E&&d.push('" crossorigin="',A(E));d.push('" async="">\x3c/script>')}if(void 0!==g)for(f=0;f<g.length;f++)t=
g[f],E=r=void 0,D={rel:"modulepreload",fetchPriority:"low",nonce:void 0},"string"===typeof t?D.href=x=t:(D.href=x=t.src,D.integrity=E="string"===typeof t.integrity?t.integrity:void 0,D.crossOrigin=r="string"===typeof t||null==t.crossOrigin?void 0:"use-credentials"===t.crossOrigin?"use-credentials":""),t=a,w=x,t.scriptResources[w]=null,t.moduleScriptResources[w]=null,t=[],M(t,D),p.add(t),d.push('<script type="module" src="',A(x)),"string"===typeof E&&d.push('" integrity="',A(E)),"string"===typeof r&&
d.push('" crossorigin="',A(r)),d.push('" async="">\x3c/script>');return{placeholderPrefix:e,segmentPrefix:k,boundaryPrefix:c,startInlineScript:"<script>",htmlChunks:null,headChunks:null,externalRuntimeScript:null,bootstrapChunks:d,importMapChunks:[],onHeaders:void 0,headers:null,resets:{font:{},dns:{},connect:{default:{},anonymous:{},credentials:{}},image:{},style:{}},charsetChunks:[],viewportChunks:[],hoistableChunks:[],preconnects:h,fontPreloads:m,highImagePreloads:n,styles:l,bootstrapScripts:p,
scripts:q,bulkPreloads:B,preloads:v,stylesToHoist:!1,generateStaticMarkup:b}}function hd(a,b,c,d){if(c.generateStaticMarkup)return a.push(A(b)),!1;""===b?a=d:(d&&a.push("\x3c!-- --\x3e"),a.push(A(b)),a=!0);return a}var id=Symbol.for("react.client.reference");
function jd(a){if(null==a)return null;if("function"===typeof a)return a.$$typeof===id?null:a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case na:return"Fragment";case ma:return"Portal";case ya:return"Profiler";case oa:return"StrictMode";case Da:return"Suspense";case Ka:return"SuspenseList"}if("object"===typeof a)switch(a.$$typeof){case Ba:return(a.displayName||"Context")+".Provider";case Aa:return(a._context.displayName||"Context")+".Consumer";case Ca:var b=a.render;a=a.displayName;
a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case La:return b=a.displayName||null,null!==b?b:jd(a.type)||"Memo";case Ma:b=a._payload;a=a._init;try{return jd(a(b))}catch(c){}}return null}var kd={},ld=null;
function md(a,b){if(a!==b){a.context._currentValue2=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");md(a,c)}b.context._currentValue2=b.value}}function Pd(a){a.context._currentValue2=a.parentValue;a=a.parent;null!==a&&Pd(a)}
function Qd(a){var b=a.parent;null!==b&&Qd(b);a.context._currentValue2=a.value}function Rd(a,b){a.context._currentValue2=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?md(a,b):Rd(a,b)}
function Sd(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?md(a,c):Sd(a,c);b.context._currentValue2=b.value}function Td(a){var b=ld;b!==a&&(null===b?Qd(a):null===a?Pd(b):b.depth===a.depth?md(b,a):b.depth>a.depth?Rd(b,a):Sd(b,a),ld=a)}
var Ud={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}},Vd={id:1,overflow:""};function Wd(a,b,c){var d=a.id;a=a.overflow;var e=32-Xd(d)-1;d&=~(1<<e);c+=1;var f=32-Xd(b)+e;if(30<f){var g=e-e%5;f=(d&(1<<g)-1).toString(32);d>>=g;e-=g;return{id:1<<32-Xd(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}
var Xd=Math.clz32?Math.clz32:Yd,Zd=Math.log,$d=Math.LN2;function Yd(a){a>>>=0;return 0===a?32:31-(Zd(a)/$d|0)|0}var ae=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function be(){}function ce(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(be,be),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:if("string"!==typeof b.status)switch(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}),b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}de=b;throw ae;}}var de=null;
function ee(){if(null===de)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=de;de=null;return a}function fe(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var ge="function"===typeof Object.is?Object.is:fe,he=null,ie=null,je=null,ke=null,le=null,U=null,me=!1,ne=!1,oe=0,pe=0,qe=-1,re=0,se=null,te=null,ue=0;
function ve(){if(null===he)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://react.dev/link/invalid-hook-call for tips about how to debug and fix this problem.");return he}
function we(){if(0<ue)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function xe(){null===U?null===le?(me=!1,le=U=we()):(me=!0,U=le):null===U.next?(me=!1,U=U.next=we()):(me=!0,U=U.next);return U}function ye(){var a=se;se=null;return a}function ze(){ke=je=ie=he=null;ne=!1;le=null;ue=0;U=te=null}function Ae(a,b){return"function"===typeof b?b(a):b}
function Be(a,b,c){he=ve();U=xe();if(me){var d=U.queue;b=d.dispatch;if(null!==te&&(c=te.get(d),void 0!==c)){te.delete(d);d=U.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);U.memoizedState=d;return[d,b]}return[U.memoizedState,b]}a=a===Ae?"function"===typeof b?b():b:void 0!==c?c(b):b;U.memoizedState=a;a=U.queue={last:null,dispatch:null};a=a.dispatch=Ce.bind(null,he,a);return[U.memoizedState,a]}
function De(a,b){he=ve();U=xe();b=void 0===b?null:b;if(null!==U){var c=U.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!ge(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();U.memoizedState=[a,b];return a}
function Ce(a,b,c){if(25<=ue)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===he)if(ne=!0,a={action:c,next:null},null===te&&(te=new Map),c=te.get(b),void 0===c)te.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function Ee(){throw Error("startTransition cannot be called during server rendering.");}function Fe(){throw Error("Cannot update optimistic state while rendering.");}
function Ge(a,b,c){ve();var d=pe++,e=je;if("function"===typeof a.$$FORM_ACTION){var f=null,g=ke;e=e.formState;var k=a.$$IS_SIGNATURE_EQUAL;if(null!==e&&"function"===typeof k){var h=e[1];k.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+jb(JSON.stringify([g,null,d]),0),h===f&&(qe=d,b=e[0]))}var m=a.bind(null,b);a=function(l){m(l)};"function"===typeof m.$$FORM_ACTION&&(a.$$FORM_ACTION=function(l){l=m.$$FORM_ACTION(l);void 0!==c&&(c+="",l.action=c);var p=l.data;p&&(null===f&&(f=void 0!==c?"p"+c:"k"+jb(JSON.stringify([g,
null,d]),0)),p.append("$ACTION_KEY",f));return l});return[b,a,!1]}var n=a.bind(null,b);return[b,function(l){n(l)},!1]}function He(a){var b=re;re+=1;null===se&&(se=[]);return ce(se,a,b)}function Ie(){throw Error("Cache cannot be refreshed during server rendering.");}function Je(){}
var Le={readContext:function(a){return a._currentValue2},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return He(a);if(a.$$typeof===Ba)return a._currentValue2}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){ve();return a._currentValue2},useMemo:De,useReducer:Be,useRef:function(a){he=ve();U=xe();var b=U.memoizedState;return null===b?(a={current:a},U.memoizedState=a):b},useState:function(a){return Be(Ae,a)},useInsertionEffect:Je,
useLayoutEffect:Je,useCallback:function(a,b){return De(function(){return a},b)},useImperativeHandle:Je,useEffect:Je,useDebugValue:Je,useDeferredValue:function(a){ve();return a},useTransition:function(){ve();return[!1,Ee]},useId:function(){var a=ie.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-Xd(a)-1)).toString(32)+b;var c=Ke;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=oe++;a=":"+c.idPrefix+"R"+a;0<b&&(a+="H"+b.toString(32));
return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return Ie},useHostTransitionStatus:function(){ve();return Hb},useOptimistic:function(a){ve();return[a,Fe]}};Le.useFormState=Ge;Le.useActionState=Ge;var Ke=null,Me={getCacheForType:function(){throw Error("Not implemented.");}},Ne;
function Oe(a){if(void 0===Ne)try{throw Error();}catch(c){var b=c.stack.trim().match(/\n( *(at )?)/);Ne=b&&b[1]||""}return"\n"+Ne+a}var Pe=!1;
function Qe(a,b){if(!a||Pe)return"";Pe=!0;var c=Error.prepareStackTrace;Error.prepareStackTrace=void 0;var d={DetermineComponentFrameRoot:function(){try{if(b){var l=function(){throw Error();};Object.defineProperty(l.prototype,"props",{set:function(){throw Error();}});if("object"===typeof Reflect&&Reflect.construct){try{Reflect.construct(l,[])}catch(q){var p=q}Reflect.construct(a,[],l)}else{try{l.call()}catch(q){p=q}a.call(l.prototype)}}else{try{throw Error();}catch(q){p=q}(l=a())&&"function"===typeof l.catch&&
l.catch(function(){})}}catch(q){if(q&&p&&"string"===typeof q.stack)return[q.stack,p.stack]}return[null,null]}};d.DetermineComponentFrameRoot.displayName="DetermineComponentFrameRoot";var e=Object.getOwnPropertyDescriptor(d.DetermineComponentFrameRoot,"name");e&&e.configurable&&Object.defineProperty(d.DetermineComponentFrameRoot,"name",{value:"DetermineComponentFrameRoot"});try{var f=d.DetermineComponentFrameRoot(),g=f[0],k=f[1];if(g&&k){var h=g.split("\n"),m=k.split("\n");for(e=d=0;d<h.length&&!h[d].includes("DetermineComponentFrameRoot");)d++;
for(;e<m.length&&!m[e].includes("DetermineComponentFrameRoot");)e++;if(d===h.length||e===m.length)for(d=h.length-1,e=m.length-1;1<=d&&0<=e&&h[d]!==m[e];)e--;for(;1<=d&&0<=e;d--,e--)if(h[d]!==m[e]){if(1!==d||1!==e){do if(d--,e--,0>e||h[d]!==m[e]){var n="\n"+h[d].replace(" at new "," at ");a.displayName&&n.includes("<anonymous>")&&(n=n.replace("<anonymous>",a.displayName));return n}while(1<=d&&0<=e)}break}}}finally{Pe=!1,Error.prepareStackTrace=c}return(c=a?a.displayName||a.name:"")?Oe(c):""}
var Re=Gb.ReactCurrentDispatcher,Se=Gb.ReactCurrentCache;function Te(a){console.error(a);return null}function Ue(){}
function Ve(a,b,c,d,e,f,g,k,h,m,n,l){var p=[],q=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:q,pingedTasks:p,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?Te:f,onPostpone:void 0===n?Ue:n,onAllReady:void 0===g?Ue:g,onShellReady:void 0===
k?Ue:k,onShellError:void 0===h?Ue:h,onFatalError:void 0===m?Ue:m,formState:void 0===l?null:l};c=We(b,0,null,d,!1,!1);c.parentFlushed=!0;a=Xe(b,null,a,-1,null,c,null,q,null,d,kd,null,Vd,null,!1);p.push(a);return b}var T=null;function Ye(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,Ze(a))}
function af(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,contentState:Zc(),fallbackState:Zc(),trackedContentKeyPath:null,trackedFallbackNode:null}}
function Xe(a,b,c,d,e,f,g,k,h,m,n,l,p,q,B){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var v={replay:null,node:c,childIndex:d,ping:function(){return Ye(a,v)},blockedBoundary:e,blockedSegment:f,hoistableState:g,abortSet:k,keyPath:h,formatContext:m,legacyContext:n,context:l,treeContext:p,componentStack:q,thenableState:b,isFallback:B};k.add(v);return v}
function bf(a,b,c,d,e,f,g,k,h,m,n,l,p,q,B){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var v={replay:c,node:d,childIndex:e,ping:function(){return Ye(a,v)},blockedBoundary:f,blockedSegment:null,hoistableState:g,abortSet:k,keyPath:h,formatContext:m,legacyContext:n,context:l,treeContext:p,componentStack:q,thenableState:b,isFallback:B};k.add(v);return v}
function We(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}function cf(a,b){return{tag:0,parent:a.componentStack,type:b}}
function df(a,b){if(b&&null!==a.trackedPostpones){try{a="";do{switch(b.tag){case 0:a+=Oe(b.type);break;case 1:a+=Qe(b.type,!1);break;case 2:a+=Qe(b.type,!0)}b=b.parent}while(b);var c=a}catch(d){c="\nError generating stack: "+d.message+"\n"+d.stack}c={componentStack:c}}else c={};return c}function V(a,b,c){a=a.onError(b,c);if(null==a||"string"===typeof a)return a}
function ef(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,a.destination.destroy(b)):(a.status=1,a.fatalError=b)}function ff(a,b,c,d,e,f){var g=b.thenableState;b.thenableState=null;he={};ie=b;je=a;ke=c;pe=oe=0;qe=-1;re=0;se=g;for(a=d(e,f);ne;)ne=!1,pe=oe=0,qe=-1,re=0,ue+=1,U=null,a=d(e,f);ze();return a}
function gf(a,b,c,d,e,f,g){var k=!1;if(0!==f&&null!==a.formState){var h=b.blockedSegment;if(null!==h){k=!0;h=h.chunks;for(var m=0;m<f;m++)m===g?h.push("\x3c!--F!--\x3e"):h.push("\x3c!--F--\x3e")}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=Wd(c,1,0),hf(a,b,d,-1),b.treeContext=c):k?hf(a,b,d,-1):Z(a,b,d,-1);b.keyPath=f}
function jf(a,b,c,d,e,f){if("function"===typeof d)if(d.prototype&&d.prototype.isReactComponent){var g=e;if("ref"in e){g={};for(var k in e)"ref"!==k&&(g[k]=e[k])}var h=d.defaultProps;if(h){g===e&&(g=u({},g,e));for(var m in h)void 0===g[m]&&(g[m]=h[m])}e=b.componentStack;b.componentStack={tag:2,parent:b.componentStack,type:d};h=kd;f=d.contextType;"object"===typeof f&&null!==f&&(h=f._currentValue2);h=new d(g,h);m=void 0!==h.state?h.state:null;h.updater=Ud;h.props=g;h.state=m;f={queue:[],replace:!1};
h._reactInternals=f;var n=d.contextType;h.context="object"===typeof n&&null!==n?n._currentValue2:kd;n=d.getDerivedStateFromProps;"function"===typeof n&&(n=n(g,m),m=null===n||void 0===n?m:u({},m,n),h.state=m);if("function"!==typeof d.getDerivedStateFromProps&&"function"!==typeof h.getSnapshotBeforeUpdate&&("function"===typeof h.UNSAFE_componentWillMount||"function"===typeof h.componentWillMount))if(d=h.state,"function"===typeof h.componentWillMount&&h.componentWillMount(),"function"===typeof h.UNSAFE_componentWillMount&&
h.UNSAFE_componentWillMount(),d!==h.state&&Ud.enqueueReplaceState(h,h.state,null),null!==f.queue&&0<f.queue.length)if(d=f.queue,n=f.replace,f.queue=null,f.replace=!1,n&&1===d.length)h.state=d[0];else{f=n?d[0]:h.state;m=!0;for(n=n?1:0;n<d.length;n++)k=d[n],k="function"===typeof k?k.call(h,f,g,void 0):k,null!=k&&(m?(m=!1,f=u({},f,k)):u(f,k));h.state=f}else f.queue=null;d=h.render();g=b.keyPath;b.keyPath=c;Z(a,b,d,-1);b.keyPath=g;b.componentStack=e}else g=b.componentStack,b.componentStack={tag:1,parent:b.componentStack,
type:d},d=ff(a,b,c,d,e,void 0),gf(a,b,c,d,0!==oe,pe,qe),b.componentStack=g;else if("string"===typeof d){g=b.componentStack;b.componentStack=cf(b,d);h=b.blockedSegment;if(null===h)h=e.children,f=b.formatContext,m=b.keyPath,b.formatContext=Vb(f,d,e),b.keyPath=c,hf(a,b,h,-1),b.formatContext=f,b.keyPath=m;else{m=zc(h.chunks,d,e,a.resumableState,a.renderState,b.hoistableState,b.formatContext,h.lastPushedText,b.isFallback);h.lastPushedText=!1;f=b.formatContext;n=b.keyPath;b.formatContext=Vb(f,d,e);b.keyPath=
c;hf(a,b,m,-1);b.formatContext=f;b.keyPath=n;a:{c=h.chunks;a=a.resumableState;switch(d){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;case "body":if(1>=f.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===f.insertionMode){a.hasHtml=!0;break a}}c.push(uc(d))}h.lastPushedText=!1}b.componentStack=g}else{switch(d){case gb:case Oa:case oa:case ya:case na:d=
b.keyPath;b.keyPath=c;Z(a,b,e.children,-1);b.keyPath=d;return;case $a:"hidden"!==e.mode&&(d=b.keyPath,b.keyPath=c,Z(a,b,e.children,-1),b.keyPath=d);return;case Ka:d=b.componentStack;b.componentStack=cf(b,"SuspenseList");g=b.keyPath;b.keyPath=c;Z(a,b,e.children,-1);b.keyPath=g;b.componentStack=d;return;case Na:throw Error("ReactDOMServer does not yet support scope components.");case Da:a:if(null!==b.replay){d=b.keyPath;b.keyPath=c;c=e.children;try{hf(a,b,c,-1)}finally{b.keyPath=d}}else{var l=b.componentStack;
d=b.componentStack=cf(b,"Suspense");var p=b.keyPath;f=b.blockedBoundary;var q=b.hoistableState,B=b.blockedSegment;m=e.fallback;var v=e.children;e=new Set;n=af(a,e);null!==a.trackedPostpones&&(n.trackedContentKeyPath=c);k=We(a,B.chunks.length,n,b.formatContext,!1,!1);B.children.push(k);B.lastPushedText=!1;var x=We(a,0,null,b.formatContext,!1,!1);x.parentFlushed=!0;b.blockedBoundary=n;b.hoistableState=n.contentState;b.blockedSegment=x;b.keyPath=c;try{if(hf(a,b,v,-1),a.renderState.generateStaticMarkup||
x.lastPushedText&&x.textEmbedded&&x.chunks.push("\x3c!-- --\x3e"),x.status=1,kf(n,x),0===n.pendingTasks&&0===n.status){n.status=1;b.componentStack=l;break a}}catch(w){x.status=4,n.status=4,g=df(a,b.componentStack),h=V(a,w,g),n.errorDigest=h,lf(a,n)}finally{b.blockedBoundary=f,b.hoistableState=q,b.blockedSegment=B,b.keyPath=p,b.componentStack=l}g=[c[0],"Suspense Fallback",c[2]];h=a.trackedPostpones;null!==h&&(l=[g[1],g[2],[],null],h.workingMap.set(g,l),5===n.status?h.workingMap.get(c)[4]=l:n.trackedFallbackNode=
l);b=Xe(a,null,m,-1,f,k,n.fallbackState,e,g,b.formatContext,b.legacyContext,b.context,b.treeContext,d,!0);a.pingedTasks.push(b)}return}if("object"===typeof d&&null!==d)switch(d.$$typeof){case Ca:g=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d.render};if("ref"in e)for(n in h={},e)"ref"!==n&&(h[n]=e[n]);else h=e;d=ff(a,b,c,d.render,h,f);gf(a,b,c,d,0!==oe,pe,qe);b.componentStack=g;return;case La:jf(a,b,c,d.type,e,f);return;case za:case Ba:h=e.children;g=b.keyPath;e=e.value;
f=d._currentValue2;d._currentValue2=e;m=ld;ld=d={parent:m,depth:null===m?0:m.depth+1,context:d,parentValue:f,value:e};b.context=d;b.keyPath=c;Z(a,b,h,-1);a=ld;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");a.context._currentValue2=a.parentValue;a=ld=a.parent;b.context=a;b.keyPath=g;return;case Aa:e=e.children;d=e(d._context._currentValue2);e=b.keyPath;b.keyPath=c;Z(a,b,d,-1);b.keyPath=e;return;case Ma:g=b.componentStack;b.componentStack=cf(b,"Lazy");
h=d._init;d=h(d._payload);jf(a,b,c,d,e,void 0);b.componentStack=g;return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==d?d:typeof d)+"."));}}
function mf(a,b,c,d,e){var f=b.replay,g=b.blockedBoundary,k=We(a,0,null,b.formatContext,!1,!1);k.id=c;k.parentFlushed=!0;try{b.replay=null,b.blockedSegment=k,hf(a,b,d,e),k.status=1,null===g?a.completedRootSegment=k:(kf(g,k),g.parentFlushed&&a.partialBoundaries.push(g))}finally{b.replay=f,b.blockedSegment=null}}
function Z(a,b,c,d){if(null!==b.replay&&"number"===typeof b.replay.slots)mf(a,b,b.replay.slots,c,d);else if(b.node=c,b.childIndex=d,null!==c){if("object"===typeof c){switch(c.$$typeof){case ha:var e=c.type,f=c.key,g=c.props;c=g.ref;var k=void 0!==c?c:null;var h=jd(e),m=null==f?-1===d?0:d:f;f=[b.keyPath,h,m];if(null!==b.replay)a:{var n=b.replay;d=n.nodes;for(c=0;c<d.length;c++){var l=d[c];if(m===l[1]){if(4===l.length){if(null!==h&&h!==l[0])throw Error("Expected the resume to render <"+l[0]+"> in this slot but instead it rendered <"+
h+">. The tree doesn't match so React will fallback to client rendering.");var p=l[2];h=l[3];m=b.node;b.replay={nodes:p,slots:h,pendingTasks:1};try{jf(a,b,f,e,g,k);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(z){if("object"===typeof z&&null!==z&&(z===ae||"function"===typeof z.then))throw b.node===m&&(b.replay=n),z;
b.replay.pendingTasks--;g=df(a,b.componentStack);f=a;a=b.blockedBoundary;e=z;g=V(f,e,g);nf(f,a,p,h,e,g)}b.replay=n}else{if(e!==Da)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(jd(e)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{n=void 0;e=l[5];k=l[2];h=l[3];m=null===l[4]?[]:l[4][2];l=null===l[4]?null:l[4][3];var q=b.componentStack,B=b.componentStack=cf(b,"Suspense"),v=b.keyPath,x=b.replay,w=b.blockedBoundary,
r=b.hoistableState,E=g.children;g=g.fallback;var D=new Set,t=af(a,D);t.parentFlushed=!0;t.rootSegmentID=e;b.blockedBoundary=t;b.hoistableState=t.contentState;b.replay={nodes:k,slots:h,pendingTasks:1};try{hf(a,b,E,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===t.pendingTasks&&0===t.status){t.status=1;a.completedBoundaries.push(t);
break b}}catch(z){t.status=4,p=df(a,b.componentStack),n=V(a,z,p),t.errorDigest=n,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(t)}finally{b.blockedBoundary=w,b.hoistableState=r,b.replay=x,b.keyPath=v,b.componentStack=q}b=bf(a,null,{nodes:m,slots:l,pendingTasks:0},g,-1,w,t.fallbackState,D,[f[0],"Suspense Fallback",f[2]],b.formatContext,b.legacyContext,b.context,b.treeContext,B,!0);a.pingedTasks.push(b)}}d.splice(c,1);break a}}}else jf(a,b,f,e,g,k);return;case ma:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");
case Ma:p=b.componentStack;b.componentStack=cf(b,"Lazy");g=c._init;c=g(c._payload);b.componentStack=p;Z(a,b,c,d);return}if(ib(c)){of(a,b,c,d);return}null===c||"object"!==typeof c?p=null:(p=hb&&c[hb]||c["@@iterator"],p="function"===typeof p?p:null);if(p&&(p=p.call(c))){c=p.next();if(!c.done){g=[];do g.push(c.value),c=p.next();while(!c.done);of(a,b,g,d)}return}if("function"===typeof c.then)return b.thenableState=null,Z(a,b,He(c),d);if(c.$$typeof===Ba)return Z(a,b,c._currentValue2,d);d=Object.prototype.toString.call(c);
throw Error("Objects are not valid as a React child (found: "+("[object Object]"===d?"object with keys {"+Object.keys(c).join(", ")+"}":d)+"). If you meant to render a collection of children, use an array instead.");}if("string"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=hd(d.chunks,c,a.renderState,d.lastPushedText));else if("number"===typeof c||"bigint"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=hd(d.chunks,""+c,a.renderState,d.lastPushedText))}}
function of(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,g=f.nodes,k=0;k<g.length;k++){var h=g[k];if(h[1]===d){d=h[2];h=h[3];b.replay={nodes:d,slots:h,pendingTasks:1};try{of(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(l){if("object"===typeof l&&
null!==l&&(l===ae||"function"===typeof l.then))throw l;b.replay.pendingTasks--;c=df(a,b.componentStack);var m=b.blockedBoundary,n=l;c=V(a,n,c);nf(a,m,d,h,n,c)}b.replay=f;g.splice(k,1);break}}b.keyPath=e;return}f=b.treeContext;g=c.length;if(null!==b.replay&&(k=b.replay.slots,null!==k&&"object"===typeof k)){for(d=0;d<g;d++)h=c[d],b.treeContext=Wd(f,g,d),m=k[d],"number"===typeof m?(mf(a,b,m,h,d),delete k[d]):hf(a,b,h,d);b.treeContext=f;b.keyPath=e;return}for(k=0;k<g;k++)d=c[k],b.treeContext=Wd(f,g,k),
hf(a,b,d,k);b.treeContext=f;b.keyPath=e}function lf(a,b){a=a.trackedPostpones;null!==a&&(b=b.trackedContentKeyPath,null!==b&&(b=a.workingMap.get(b),void 0!==b&&(b.length=4,b[2]=[],b[3]=null)))}
function hf(a,b,c,d){var e=b.formatContext,f=b.legacyContext,g=b.context,k=b.keyPath,h=b.treeContext,m=b.componentStack,n=b.blockedSegment;if(null===n)try{return Z(a,b,c,d)}catch(q){if(ze(),c=q===ae?ee():q,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=ye();a=bf(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.hoistableState,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,
a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;b.componentStack=m;Td(g);return}}else{var l=n.children.length,p=n.chunks.length;try{return Z(a,b,c,d)}catch(q){if(ze(),n.children.length=l,n.chunks.length=p,c=q===ae?ee():q,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=ye();n=b.blockedSegment;l=We(a,n.chunks.length,null,b.formatContext,n.lastPushedText,!0);n.children.push(l);n.lastPushedText=!1;a=Xe(a,d,b.node,b.childIndex,b.blockedBoundary,l,b.hoistableState,
b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;b.componentStack=m;Td(g);return}}}b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;Td(g);throw c;}function pf(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,qf(this,b,a))}
function nf(a,b,c,d,e,f){for(var g=0;g<c.length;g++){var k=c[g];if(4===k.length)nf(a,b,k[2],k[3],e,f);else{k=k[5];var h=a,m=f,n=af(h,new Set);n.parentFlushed=!0;n.rootSegmentID=k;n.status=4;n.errorDigest=m;n.parentFlushed&&h.clientRenderedBoundaries.push(n)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var l in d)delete d[l]}}
function rf(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(d={},1!==b.status&&2!==b.status){a=a.replay;if(null===a){V(b,c,d);ef(b,c);return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&(d=V(b,c,d),nf(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&sf(b)}}else d.pendingTasks--,4!==d.status&&(d.status=4,a=df(b,a.componentStack),a=V(b,c,a),d.errorDigest=a,lf(b,d),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return rf(f,
b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&tf(b)}
function uf(a,b){try{var c=a.renderState,d=c.onHeaders;if(d){var e=c.headers;if(e){c.headers=null;var f=e.preconnects;e.fontPreloads&&(f&&(f+=", "),f+=e.fontPreloads);e.highImagePreloads&&(f&&(f+=", "),f+=e.highImagePreloads);if(!b){var g=c.styles.values(),k=g.next();b:for(;0<e.remainingCapacity&&!k.done;k=g.next())for(var h=k.value.sheets.values(),m=h.next();0<e.remainingCapacity&&!m.done;m=h.next()){var n=m.value,l=n.props,p=l.href,q=n.props,B=Bc(q.href,"style",{crossOrigin:q.crossOrigin,integrity:q.integrity,
nonce:q.nonce,type:q.type,fetchPriority:q.fetchPriority,referrerPolicy:q.referrerPolicy,media:q.media});if(2<=(e.remainingCapacity-=B.length))c.resets.style[p]=C,f&&(f+=", "),f+=B,c.resets.style[p]="string"===typeof l.crossOrigin||"string"===typeof l.integrity?[l.crossOrigin,l.integrity]:C;else break b}}f?d({Link:f}):d({})}}}catch(v){V(a,v,{})}}function sf(a){null===a.trackedPostpones&&uf(a,!0);a.onShellError=Ue;a=a.onShellReady;a()}
function tf(a){uf(a,null===a.trackedPostpones?!0:null===a.completedRootSegment||5!==a.completedRootSegment.status);a=a.onAllReady;a()}function kf(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary&&-1===b.children[0].id){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&kf(a,c)}else a.completedSegments.push(b)}
function qf(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&sf(a)}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&kf(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(pf,a),b.fallbackAbortableTasks.clear())):
null!==c&&c.parentFlushed&&1===c.status&&(kf(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&tf(a)}
function Ze(a){if(2!==a.status){var b=ld,c=Re.current;Re.current=Le;var d=Se.current;Se.current=Me;var e=T;T=a;var f=Ke;Ke=a.resumableState;try{var g=a.pingedTasks,k;for(k=0;k<g.length;k++){var h=g[k],m=a,n=h.blockedSegment;if(null===n){var l=m;if(0!==h.replay.pendingTasks){Td(h.context);try{Z(l,h,h.node,h.childIndex);if(1===h.replay.pendingTasks&&0<h.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");
h.replay.pendingTasks--;h.abortSet.delete(h);qf(l,h.blockedBoundary,null)}catch(K){ze();var p=K===ae?ee():K;if("object"===typeof p&&null!==p&&"function"===typeof p.then){var q=h.ping;p.then(q,q);h.thenableState=ye()}else{h.replay.pendingTasks--;h.abortSet.delete(h);var B=df(l,h.componentStack);m=void 0;var v=l,x=h.blockedBoundary,w=p,r=h.replay.nodes,E=h.replay.slots;m=V(v,w,B);nf(v,x,r,E,w,m);l.pendingRootTasks--;0===l.pendingRootTasks&&sf(l);l.allPendingTasks--;0===l.allPendingTasks&&tf(l)}}finally{}}}else if(l=
void 0,v=n,0===v.status){Td(h.context);var D=v.children.length,t=v.chunks.length;try{Z(m,h,h.node,h.childIndex),m.renderState.generateStaticMarkup||v.lastPushedText&&v.textEmbedded&&v.chunks.push("\x3c!-- --\x3e"),h.abortSet.delete(h),v.status=1,qf(m,h.blockedBoundary,v)}catch(K){ze();v.children.length=D;v.chunks.length=t;var z=K===ae?ee():K;if("object"===typeof z&&null!==z&&"function"===typeof z.then){var R=h.ping;z.then(R,R);h.thenableState=ye()}else{var W=df(m,h.componentStack);h.abortSet.delete(h);
v.status=4;var S=h.blockedBoundary;l=V(m,z,W);null===S?ef(m,z):(S.pendingTasks--,4!==S.status&&(S.status=4,S.errorDigest=l,lf(m,S),S.parentFlushed&&m.clientRenderedBoundaries.push(S)));m.allPendingTasks--;0===m.allPendingTasks&&tf(m)}}finally{}}}g.splice(0,k);null!==a.destination&&vf(a,a.destination)}catch(K){V(a,K,{}),ef(a,K)}finally{Ke=f,Re.current=c,Se.current=d,c===Le&&Td(b),T=e}}}
function wf(a,b,c,d){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:return d=c.id,c.lastPushedText=!1,c.textEmbedded=!1,a=a.renderState,b.push('<template id="'),b.push(a.placeholderPrefix),a=d.toString(16),b.push(a),b.push('"></template>');case 1:c.status=2;var e=!0,f=c.chunks,g=0;c=c.children;for(var k=0;k<c.length;k++){for(e=c[k];g<e.index;g++)b.push(f[g]);e=xf(a,b,e,d)}for(;g<f.length-1;g++)b.push(f[g]);g<f.length&&(e=b.push(f[g]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function xf(a,b,c,d){var e=c.boundary;if(null===e)return wf(a,b,c,d);e.parentFlushed=!0;if(4===e.status)return a.renderState.generateStaticMarkup||(e=e.errorDigest,b.push("\x3c!--$!--\x3e"),b.push("<template"),e&&(b.push(' data-dgst="'),e=A(e),b.push(e),b.push('"')),b.push("></template>")),wf(a,b,c,d),a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e"),a;if(1!==e.status)return 0===e.status&&(e.rootSegmentID=a.nextSegmentId++),0<e.completedSegments.length&&a.partialBoundaries.push(e),Ec(b,
a.renderState,e.rootSegmentID),d&&(e=e.fallbackState,e.styles.forEach(ed,d),e.stylesheets.forEach(fd,d)),wf(a,b,c,d),b.push("\x3c!--/$--\x3e");if(e.byteSize>a.progressiveChunkSize)return e.rootSegmentID=a.nextSegmentId++,a.completedBoundaries.push(e),Ec(b,a.renderState,e.rootSegmentID),wf(a,b,c,d),b.push("\x3c!--/$--\x3e");d&&(c=e.contentState,c.styles.forEach(ed,d),c.stylesheets.forEach(fd,d));a.renderState.generateStaticMarkup||b.push("\x3c!--$--\x3e");c=e.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");
xf(a,b,c[0],d);a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e");return a}function yf(a,b,c,d){Fc(b,a.renderState,c.parentFormatContext,c.id);xf(a,b,c,d);return Gc(b,c.parentFormatContext)}
function zf(a,b,c){for(var d=c.completedSegments,e=0;e<d.length;e++)Af(a,b,c,d[e]);d.length=0;Pc(b,c.contentState,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.contentState;var f=a.stylesToHoist;a.stylesToHoist=!1;var g=0===d.streamingFormat;g?(b.push(a.startInlineScript),f?0===(d.instructions&2)?(d.instructions|=10,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
0===(d.instructions&8)?(d.instructions|=8,b.push('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
b.push('$RR("'):0===(d.instructions&2)?(d.instructions|=2,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("')):
b.push('$RC("')):f?b.push('<template data-rri="" data-bid="'):b.push('<template data-rci="" data-bid="');d=e.toString(16);b.push(a.boundaryPrefix);b.push(d);g?b.push('","'):b.push('" data-sid="');b.push(a.segmentPrefix);b.push(d);f?g?(b.push('",'),Vc(b,c)):(b.push('" data-sty="'),Xc(b,c)):g&&b.push('"');d=g?b.push(")\x3c/script>"):b.push('"></template>');return Dc(b,a)&&d}
function Af(a,b,c,d){if(2===d.status)return!0;var e=c.contentState,f=d.id;if(-1===f){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return yf(a,b,d,e)}if(f===c.rootSegmentID)return yf(a,b,d,e);yf(a,b,d,e);c=a.resumableState;a=a.renderState;(d=0===c.streamingFormat)?(b.push(a.startInlineScript),0===(c.instructions&1)?(c.instructions|=1,b.push('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("')):
b.push('$RS("')):b.push('<template data-rsi="" data-sid="');b.push(a.segmentPrefix);f=f.toString(16);b.push(f);d?b.push('","'):b.push('" data-pid="');b.push(a.placeholderPrefix);b.push(f);b=d?b.push('")\x3c/script>'):b.push('"></template>');return b}
function vf(a,b){try{var c,d=a.completedRootSegment;if(null!==d)if(5!==d.status&&0===a.pendingRootTasks){var e=a.renderState;if((0!==a.allPendingTasks||null!==a.trackedPostpones)&&e.externalRuntimeScript){var f=e.externalRuntimeScript,g=a.resumableState,k=f.src,h=f.chunks;g.scriptResources.hasOwnProperty(k)||(g.scriptResources[k]=null,e.scripts.add(h))}var m=e.htmlChunks,n=e.headChunks,l;if(m){for(l=0;l<m.length;l++)b.push(m[l]);if(n)for(l=0;l<n.length;l++)b.push(n[l]);else{var p=O("head");b.push(p);
b.push(">")}}else if(n)for(l=0;l<n.length;l++)b.push(n[l]);var q=e.charsetChunks;for(l=0;l<q.length;l++)b.push(q[l]);q.length=0;e.preconnects.forEach(Q,b);e.preconnects.clear();var B=e.viewportChunks;for(l=0;l<B.length;l++)b.push(B[l]);B.length=0;e.fontPreloads.forEach(Q,b);e.fontPreloads.clear();e.highImagePreloads.forEach(Q,b);e.highImagePreloads.clear();e.styles.forEach(Sc,b);var v=e.importMapChunks;for(l=0;l<v.length;l++)b.push(v[l]);v.length=0;e.bootstrapScripts.forEach(Q,b);e.scripts.forEach(Q,
b);e.scripts.clear();e.bulkPreloads.forEach(Q,b);e.bulkPreloads.clear();var x=e.hoistableChunks;for(l=0;l<x.length;l++)b.push(x[l]);x.length=0;if(m&&null===n){var w=uc("head");b.push(w)}xf(a,b,d,null);a.completedRootSegment=null;Dc(b,a.renderState)}else return;var r=a.renderState;d=0;var E=r.viewportChunks;for(d=0;d<E.length;d++)b.push(E[d]);E.length=0;r.preconnects.forEach(Q,b);r.preconnects.clear();r.fontPreloads.forEach(Q,b);r.fontPreloads.clear();r.highImagePreloads.forEach(Q,b);r.highImagePreloads.clear();
r.styles.forEach(Uc,b);r.scripts.forEach(Q,b);r.scripts.clear();r.bulkPreloads.forEach(Q,b);r.bulkPreloads.clear();var D=r.hoistableChunks;for(d=0;d<D.length;d++)b.push(D[d]);D.length=0;var t=a.clientRenderedBoundaries;for(c=0;c<t.length;c++){var z=t[c];r=b;var R=a.resumableState,W=a.renderState,S=z.rootSegmentID,K=z.errorDigest,N=0===R.streamingFormat;N?(r.push(W.startInlineScript),0===(R.instructions&4)?(R.instructions|=4,r.push('$RX=function(b,c,d,e,f){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),f&&(a.cstck=f),b._reactRetry&&b._reactRetry())};;$RX("')):
r.push('$RX("')):r.push('<template data-rxi="" data-bid="');r.push(W.boundaryPrefix);var Pa=S.toString(16);r.push(Pa);N&&r.push('"');if(K)if(N){r.push(",");var ia=Ic(K||"");r.push(ia)}else{r.push('" data-dgst="');var pa=A(K||"");r.push(pa)}var P=N?r.push(")\x3c/script>"):r.push('"></template>');if(!P){a.destination=null;c++;t.splice(0,c);return}}t.splice(0,c);var qa=a.completedBoundaries;for(c=0;c<qa.length;c++)if(!zf(a,b,qa[c])){a.destination=null;c++;qa.splice(0,c);return}qa.splice(0,c);var ca=
a.partialBoundaries;for(c=0;c<ca.length;c++){var Ea=ca[c];a:{t=a;z=b;var ra=Ea.completedSegments;for(P=0;P<ra.length;P++)if(!Af(t,z,Ea,ra[P])){P++;ra.splice(0,P);var Qa=!1;break a}ra.splice(0,P);Qa=Pc(z,Ea.contentState,t.renderState)}if(!Qa){a.destination=null;c++;ca.splice(0,c);return}}ca.splice(0,c);var ja=a.completedBoundaries;for(c=0;c<ja.length;c++)if(!zf(a,b,ja[c])){a.destination=null;c++;ja.splice(0,c);return}ja.splice(0,c)}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&0===a.clientRenderedBoundaries.length&&
0===a.completedBoundaries.length&&(a.flushScheduled=!1,c=a.resumableState,c.hasBody&&(ca=uc("body"),b.push(ca)),c.hasHtml&&(c=uc("html"),b.push(c)),b.push(null),a.destination=null)}}function Bf(a){a.flushScheduled=null!==a.destination;Ze(a);null===a.trackedPostpones&&uf(a,0===a.pendingRootTasks)}function bd(a){if(!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination){a.flushScheduled=!0;var b=a.destination;b?vf(a,b):a.flushScheduled=!1}}
function Cf(a,b){if(1===a.status)a.status=2,b.destroy(a.fatalError);else if(2!==a.status&&null===a.destination){a.destination=b;try{vf(a,b)}catch(c){V(a,c,{}),ef(a,c)}}}function Df(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return rf(e,a,d)});c.clear()}null!==a.destination&&vf(a,a.destination)}catch(e){V(a,e,{}),ef(a,e)}}function Ef(){}
function Ff(a,b,c,d){var e=!1,f=null,g="",k=!1;b=Tb(b?b.identifierPrefix:void 0,void 0);a=Ve(a,b,gd(b,c),Ub(),Infinity,Ef,void 0,function(){k=!0},void 0,void 0,void 0);Bf(a);Df(a,d);Cf(a,{push:function(h){null!==h&&(g+=h);return!0},destroy:function(h){e=!0;f=h}});if(e&&f!==d)throw f;if(!k)throw Error("A component suspended while responding to synchronous input. This will cause the UI to be replaced with a loading indicator. To fix, updates that suspend should be wrapped with startTransition.");return g}
function Gf(a,b){a.prototype=Object.create(b.prototype);a.prototype.constructor=a;a.__proto__=b}var Hf=function(a){function b(){var d=a.call(this,{})||this;d.request=null;d.startedFlowing=!1;return d}Gf(b,a);var c=b.prototype;c._destroy=function(d,e){Df(this.request);e(d)};c._read=function(){this.startedFlowing&&Cf(this.request,this)};return b}(fa.Readable);function If(){}exports.renderToStaticMarkup=function(a,b){return Ff(a,b,!0,'The server used "renderToStaticMarkup" which does not support Suspense. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.renderToStaticNodeStream=function(a,b){var c=new Hf;b=Tb(b?b.identifierPrefix:void 0,void 0);var d=Ve(a,b,gd(b,!0),Ub(),Infinity,If,function(){c.startedFlowing=!0;Cf(d,c)},void 0,void 0,void 0);c.request=d;Bf(d);return c};exports.renderToString=function(a,b){return Ff(a,b,!1,'The server used "renderToString" which does not support Suspense. If you intended for this Suspense boundary to render the fallback content on the server consider throwing an Error somewhere within the Suspense boundary. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.version="19.0.0-canary-4c12339ce-20240408";

//# sourceMappingURL=react-dom-server-legacy.node.production.min.js.map
