/*
 React
 react-dom-server.edge.production.min.js

 Copyright (c) Meta Platforms, Inc. and affiliates.

 This source code is licensed under the MIT license found in the
 LICENSE file in the root directory of this source tree.


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var aa=require("react"),ca=require("react-dom"),da=Symbol.for("react.element"),ha=Symbol.for("react.portal"),ma=Symbol.for("react.fragment"),oa=Symbol.for("react.strict_mode"),pa=Symbol.for("react.profiler"),qa=Symbol.for("react.provider"),ra=Symbol.for("react.consumer"),wa=Symbol.for("react.context"),xa=Symbol.for("react.forward_ref"),ya=Symbol.for("react.suspense"),Ga=Symbol.for("react.suspense_list"),Ha=Symbol.for("react.memo"),Ia=Symbol.for("react.lazy"),Ja=Symbol.for("react.scope"),
Ka=Symbol.for("react.debug_trace_mode"),La=Symbol.for("react.offscreen"),Ma=Symbol.for("react.legacy_hidden"),Na=Symbol.iterator,Ta=Array.isArray;
function Ua(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}var l=null,q=0;
function r(a,b){if(0!==b.byteLength)if(2048<b.byteLength)0<q&&(a.enqueue(new Uint8Array(l.buffer,0,q)),l=new Uint8Array(2048),q=0),a.enqueue(b);else{var c=l.length-q;c<b.byteLength&&(0===c?a.enqueue(l):(l.set(b.subarray(0,c),q),a.enqueue(l),b=b.subarray(c)),l=new Uint8Array(2048),q=0);l.set(b,q);q+=b.byteLength}}function w(a,b){r(a,b);return!0}function Va(a){l&&0<q&&(a.enqueue(new Uint8Array(l.buffer,0,q)),l=null,q=0)}var Wa=new TextEncoder;function z(a){return Wa.encode(a)}
function A(a){return Wa.encode(a)}function Xa(a,b){"function"===typeof a.error?a.error(b):a.close()}
var B=Object.assign,C=Object.prototype.hasOwnProperty,Ya=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),Za={},$a={};
function jb(a){if(C.call($a,a))return!0;if(C.call(Za,a))return!1;if(Ya.test(a))return $a[a]=!0;Za[a]=!0;return!1}
var qb=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),rb=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),sb=/["'&<>]/;
function G(a){if("boolean"===typeof a||"number"===typeof a||"bigint"===typeof a)return""+a;a=""+a;var b=sb.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}var tb=/([A-Z])/g,ub=/^ms-/,vb=/^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*:/i;
function wb(a){return vb.test(""+a)?"javascript:throw new Error('React has blocked a javascript: URL as a security precaution.')":a}var xb=aa.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED,yb={pending:!1,data:null,method:null,action:null},zb=ca.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactDOMCurrentDispatcher,Ab=zb.current;zb.current={flushSyncWork:Ab.flushSyncWork,prefetchDNS:Bb,preconnect:Cb,preload:Db,preloadModule:Pb,preinitScript:Qb,preinitStyle:Rb,preinitModuleScript:Sb};
var I=[],Tb=A('"></template>'),Ub=A("<script>"),Vb=A("\x3c/script>"),Wb=A('<script src="'),Xb=A('<script type="module" src="'),Yb=A('" nonce="'),Zb=A('" integrity="'),$b=A('" crossorigin="'),ac=A('" async="">\x3c/script>'),bc=/(<\/|<)(s)(cript)/gi;function cc(a,b,c,d){return""+b+("s"===c?"\\u0073":"\\u0053")+d}var dc=A('<script type="importmap">'),ec=A("\x3c/script>");
function fc(a,b,c,d,e,f){var g=void 0===b?Ub:A('<script nonce="'+G(b)+'">'),k=a.idPrefix,h=[],n=null,p=a.bootstrapScriptContent,m=a.bootstrapScripts,t=a.bootstrapModules;void 0!==p&&h.push(g,z((""+p).replace(bc,cc)),Vb);void 0!==c&&("string"===typeof c?(n={src:c,chunks:[]},gc(n.chunks,{src:c,async:!0,integrity:void 0,nonce:b})):(n={src:c.src,chunks:[]},gc(n.chunks,{src:c.src,async:!0,integrity:c.integrity,nonce:b})));c=[];void 0!==d&&(c.push(dc),c.push(z((""+JSON.stringify(d)).replace(bc,cc))),c.push(ec));
d=e?{preconnects:"",fontPreloads:"",highImagePreloads:"",remainingCapacity:"number"===typeof f?f:2E3}:null;e={placeholderPrefix:A(k+"P:"),segmentPrefix:A(k+"S:"),boundaryPrefix:A(k+"B:"),startInlineScript:g,htmlChunks:null,headChunks:null,externalRuntimeScript:n,bootstrapChunks:h,importMapChunks:c,onHeaders:e,headers:d,resets:{font:{},dns:{},connect:{default:{},anonymous:{},credentials:{}},image:{},style:{}},charsetChunks:[],viewportChunks:[],hoistableChunks:[],preconnects:new Set,fontPreloads:new Set,
highImagePreloads:new Set,styles:new Map,bootstrapScripts:new Set,scripts:new Set,bulkPreloads:new Set,preloads:{images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map},nonce:b,hoistableState:null,stylesToHoist:!1};if(void 0!==m)for(g=0;g<m.length;g++)c=m[g],d=n=void 0,f={rel:"preload",as:"script",fetchPriority:"low",nonce:b},"string"===typeof c?f.href=k=c:(f.href=k=c.src,f.integrity=d="string"===typeof c.integrity?c.integrity:void 0,f.crossOrigin=n="string"===typeof c||null==c.crossOrigin?
void 0:"use-credentials"===c.crossOrigin?"use-credentials":""),c=a,p=k,c.scriptResources[p]=null,c.moduleScriptResources[p]=null,c=[],J(c,f),e.bootstrapScripts.add(c),h.push(Wb,z(G(k))),b&&h.push(Yb,z(G(b))),"string"===typeof d&&h.push(Zb,z(G(d))),"string"===typeof n&&h.push($b,z(G(n))),h.push(ac);if(void 0!==t)for(m=0;m<t.length;m++)f=t[m],n=k=void 0,d={rel:"modulepreload",fetchPriority:"low",nonce:b},"string"===typeof f?d.href=g=f:(d.href=g=f.src,d.integrity=n="string"===typeof f.integrity?f.integrity:
void 0,d.crossOrigin=k="string"===typeof f||null==f.crossOrigin?void 0:"use-credentials"===f.crossOrigin?"use-credentials":""),f=a,c=g,f.scriptResources[c]=null,f.moduleScriptResources[c]=null,f=[],J(f,d),e.bootstrapScripts.add(f),h.push(Xb,z(G(g))),b&&h.push(Yb,z(G(b))),"string"===typeof n&&h.push(Zb,z(G(n))),"string"===typeof k&&h.push($b,z(G(k))),h.push(ac);return e}
function hc(a,b,c,d,e){var f=0;void 0!==b&&(f=1);return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:f,bootstrapScriptContent:c,bootstrapScripts:d,bootstrapModules:e,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}function O(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}
function ic(a){return O("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function jc(a,b,c){switch(b){case "noscript":return O(2,null,a.tagScope|1);case "select":return O(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return O(3,null,a.tagScope);case "picture":return O(2,null,a.tagScope|2);case "math":return O(4,null,a.tagScope);case "foreignObject":return O(2,null,a.tagScope);case "table":return O(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return O(6,null,a.tagScope);case "colgroup":return O(8,null,a.tagScope);case "tr":return O(7,null,a.tagScope)}return 5<=
a.insertionMode?O(2,null,a.tagScope):0===a.insertionMode?"html"===b?O(1,null,a.tagScope):O(2,null,a.tagScope):1===a.insertionMode?O(2,null,a.tagScope):a}var kc=A("\x3c!-- --\x3e");function lc(a,b,c,d){if(""===b)return d;d&&a.push(kc);a.push(z(G(b)));return!0}var mc=new Map,nc=A(' style="'),oc=A(":"),pc=A(";");
function qc(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(C.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=z(G(d));e=z(G((""+e).trim()))}else f=mc.get(d),void 0===f&&(f=A(G(d.replace(tb,"-$1").toLowerCase().replace(ub,"-ms-"))),mc.set(d,f)),e="number"===typeof e?0===e||qb.has(d)?z(""+
e):z(e+"px"):z(G((""+e).trim()));c?(c=!1,a.push(nc,f,oc,e)):a.push(pc,f,oc,e)}}c||a.push(rc)}var Q=A(" "),sc=A('="'),rc=A('"'),tc=A('=""');function Jc(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,z(b),tc)}function R(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(Q,z(b),sc,z(G(c)),rc)}var Kc=A(G("javascript:throw new Error('React form unexpectedly submitted.')")),Lc=A('<input type="hidden"');
function Mc(a,b){this.push(Lc);if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");R(this,"name",b);R(this,"value",a);this.push(Nc)}function Oc(a,b){if("function"===typeof b.$$FORM_ACTION){var c=a.nextFormID++;a=a.idPrefix+c;try{return b.$$FORM_ACTION(a)}catch(d){if("object"===typeof d&&null!==d&&"function"===typeof d.then)throw d;}}return null}
function Pc(a,b,c,d,e,f,g,k){var h=null;if("function"===typeof d){var n=Oc(b,d);null!==n?(k=n.name,d=n.action||"",e=n.encType,f=n.method,g=n.target,h=n.data):(a.push(Q,z("formAction"),sc,Kc,rc),g=f=e=d=k=null,Qc(b,c))}null!=k&&S(a,"name",k);null!=d&&S(a,"formAction",d);null!=e&&S(a,"formEncType",e);null!=f&&S(a,"formMethod",f);null!=g&&S(a,"formTarget",g);return h}
function S(a,b,c){switch(b){case "className":R(a,"class",c);break;case "tabIndex":R(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":R(a,b,c);break;case "style":qc(a,c);break;case "src":case "href":if(""===c)break;case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=wb(""+c);a.push(Q,z(b),sc,z(G(c)),rc);break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "autoFocus":case "multiple":case "muted":Jc(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=wb(""+c);a.push(Q,z("xlink:href"),sc,z(G(c)),rc);break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,z(b),sc,z(G(c)),rc);break;case "inert":case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,z(b),tc);break;case "capture":case "download":!0===c?a.push(Q,z(b),tc):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(Q,z(b),sc,z(G(c)),rc);break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(Q,z(b),sc,z(G(c)),rc);break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(Q,z(b),sc,z(G(c)),rc);break;case "xlinkActuate":R(a,"xlink:actuate",
c);break;case "xlinkArcrole":R(a,"xlink:arcrole",c);break;case "xlinkRole":R(a,"xlink:role",c);break;case "xlinkShow":R(a,"xlink:show",c);break;case "xlinkTitle":R(a,"xlink:title",c);break;case "xlinkType":R(a,"xlink:type",c);break;case "xmlBase":R(a,"xml:base",c);break;case "xmlLang":R(a,"xml:lang",c);break;case "xmlSpace":R(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=rb.get(b)||b,jb(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(Q,z(b),sc,z(G(c)),rc)}}}var U=A(">"),Nc=A("/>");
function Rc(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(z(""+b))}}function Sc(a){var b="";aa.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}var Tc=A(' selected=""'),Uc=A('addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'React form unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.ownerDocument||c,(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,d,b))}});');
function Qc(a,b){0!==(a.instructions&16)||b.externalRuntimeScript||(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,Uc,Vb))}var Vc=A("\x3c!--F!--\x3e"),Wc=A("\x3c!--F--\x3e");function J(a,b){a.push(V("link"));for(var c in b)if(C.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:S(a,c,d)}}a.push(Nc);return null}
function Xc(a,b,c){a.push(V(c));for(var d in b)if(C.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:S(a,d,e)}}a.push(Nc);return null}
function Yc(a,b){a.push(V("title"));var c=null,d=null,e;for(e in b)if(C.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(U);b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(z(G(""+b)));Rc(a,d,c);a.push(Zc("title"));return null}
function gc(a,b){a.push(V("script"));var c=null,d=null,e;for(e in b)if(C.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(U);Rc(a,d,c);"string"===typeof c&&a.push(z(G(c)));a.push(Zc("script"));return null}
function $c(a,b,c){a.push(V(c));var d=c=null,e;for(e in b)if(C.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:S(a,e,f)}}a.push(U);Rc(a,d,c);return"string"===typeof c?(a.push(z(G(c))),null):c}var ad=A("\n"),bd=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,cd=new Map;function V(a){var b=cd.get(a);if(void 0===b){if(!bd.test(a))throw Error("Invalid tag: "+a);b=A("<"+a);cd.set(a,b)}return b}var dd=A("<!DOCTYPE html>");
function ed(a,b,c,d,e,f,g,k,h){switch(b){case "div":case "span":case "svg":case "path":break;case "a":a.push(V("a"));var n=null,p=null,m;for(m in c)if(C.call(c,m)){var t=c[m];if(null!=t)switch(m){case "children":n=t;break;case "dangerouslySetInnerHTML":p=t;break;case "href":""===t?R(a,"href",""):S(a,m,t);break;default:S(a,m,t)}}a.push(U);Rc(a,p,n);if("string"===typeof n){a.push(z(G(n)));var u=null}else u=n;return u;case "g":case "p":case "li":break;case "select":a.push(V("select"));var y=null,x=null,
v;for(v in c)if(C.call(c,v)){var K=c[v];if(null!=K)switch(v){case "children":y=K;break;case "dangerouslySetInnerHTML":x=K;break;case "defaultValue":case "value":break;default:S(a,v,K)}}a.push(U);Rc(a,x,y);return y;case "option":var X=g.selectedValue;a.push(V("option"));var L=null,T=null,D=null,E=null,ia;for(ia in c)if(C.call(c,ia)){var ba=c[ia];if(null!=ba)switch(ia){case "children":L=ba;break;case "selected":D=ba;break;case "dangerouslySetInnerHTML":E=ba;break;case "value":T=ba;default:S(a,ia,ba)}}if(null!=
X){var M=null!==T?""+T:Sc(L);if(Ta(X))for(var F=0;F<X.length;F++){if(""+X[F]===M){a.push(Tc);break}}else""+X===M&&a.push(Tc)}else D&&a.push(Tc);a.push(U);Rc(a,E,L);return L;case "textarea":a.push(V("textarea"));var P=null,sa=null,ja=null,ka;for(ka in c)if(C.call(c,ka)){var ta=c[ka];if(null!=ta)switch(ka){case "children":ja=ta;break;case "value":P=ta;break;case "defaultValue":sa=ta;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");default:S(a,
ka,ta)}}null===P&&null!==sa&&(P=sa);a.push(U);if(null!=ja){if(null!=P)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(Ta(ja)){if(1<ja.length)throw Error("<textarea> can only have at most one child.");P=""+ja[0]}P=""+ja}"string"===typeof P&&"\n"===P[0]&&a.push(ad);null!==P&&a.push(z(G(""+P)));return null;case "input":a.push(V("input"));var za=null,Sd=null,Td=null,Ud=null,Vd=null,uc=null,vc=null,wc=null,xc=null,ab;for(ab in c)if(C.call(c,ab)){var ea=c[ab];if(null!=
ea)switch(ab){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":za=ea;break;case "formAction":Sd=ea;break;case "formEncType":Td=ea;break;case "formMethod":Ud=ea;break;case "formTarget":Vd=ea;break;case "defaultChecked":xc=ea;break;case "defaultValue":vc=ea;break;case "checked":wc=ea;break;case "value":uc=ea;break;default:S(a,ab,ea)}}var Wd=Pc(a,d,e,Sd,Td,Ud,Vd,za);null!==wc?Jc(a,
"checked",wc):null!==xc&&Jc(a,"checked",xc);null!==uc?S(a,"value",uc):null!==vc&&S(a,"value",vc);a.push(Nc);null!=Wd&&Wd.forEach(Mc,a);return null;case "button":a.push(V("button"));var bb=null,Xd=null,Yd=null,Zd=null,$d=null,ae=null,be=null,cb;for(cb in c)if(C.call(c,cb)){var na=c[cb];if(null!=na)switch(cb){case "children":bb=na;break;case "dangerouslySetInnerHTML":Xd=na;break;case "name":Yd=na;break;case "formAction":Zd=na;break;case "formEncType":$d=na;break;case "formMethod":ae=na;break;case "formTarget":be=
na;break;default:S(a,cb,na)}}var ce=Pc(a,d,e,Zd,$d,ae,be,Yd);a.push(U);null!=ce&&ce.forEach(Mc,a);Rc(a,Xd,bb);if("string"===typeof bb){a.push(z(G(bb)));var de=null}else de=bb;return de;case "form":a.push(V("form"));var db=null,ee=null,Aa=null,eb=null,fb=null,gb=null,hb;for(hb in c)if(C.call(c,hb)){var ua=c[hb];if(null!=ua)switch(hb){case "children":db=ua;break;case "dangerouslySetInnerHTML":ee=ua;break;case "action":Aa=ua;break;case "encType":eb=ua;break;case "method":fb=ua;break;case "target":gb=
ua;break;default:S(a,hb,ua)}}var yc=null,zc=null;if("function"===typeof Aa){var Ba=Oc(d,Aa);null!==Ba?(Aa=Ba.action||"",eb=Ba.encType,fb=Ba.method,gb=Ba.target,yc=Ba.data,zc=Ba.name):(a.push(Q,z("action"),sc,Kc,rc),gb=fb=eb=Aa=null,Qc(d,e))}null!=Aa&&S(a,"action",Aa);null!=eb&&S(a,"encType",eb);null!=fb&&S(a,"method",fb);null!=gb&&S(a,"target",gb);a.push(U);null!==zc&&(a.push(Lc),R(a,"name",zc),a.push(Nc),null!=yc&&yc.forEach(Mc,a));Rc(a,ee,db);if("string"===typeof db){a.push(z(G(db)));var fe=null}else fe=
db;return fe;case "menuitem":a.push(V("menuitem"));for(var Eb in c)if(C.call(c,Eb)){var ge=c[Eb];if(null!=ge)switch(Eb){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:S(a,Eb,ge)}}a.push(U);return null;case "title":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var Ac=Yc(a,c);else h?Ac=null:(Yc(e.hoistableChunks,c),Ac=void 0);return Ac;case "link":var Pf=c.rel,va=c.href,Fb=c.precedence;if(3===g.insertionMode||
g.tagScope&1||null!=c.itemProp||"string"!==typeof Pf||"string"!==typeof va||""===va){J(a,c);var ib=null}else if("stylesheet"===c.rel)if("string"!==typeof Fb||null!=c.disabled||c.onLoad||c.onError)ib=J(a,c);else{var Oa=e.styles.get(Fb),Gb=d.styleResources.hasOwnProperty(va)?d.styleResources[va]:void 0;if(null!==Gb){d.styleResources[va]=null;Oa||(Oa={precedence:z(G(Fb)),rules:[],hrefs:[],sheets:new Map},e.styles.set(Fb,Oa));var Hb={state:0,props:B({},c,{"data-precedence":c.precedence,precedence:null})};
if(Gb){2===Gb.length&&fd(Hb.props,Gb);var Bc=e.preloads.stylesheets.get(va);Bc&&0<Bc.length?Bc.length=0:Hb.state=1}Oa.sheets.set(va,Hb);f&&f.stylesheets.add(Hb)}else if(Oa){var he=Oa.sheets.get(va);he&&f&&f.stylesheets.add(he)}k&&a.push(kc);ib=null}else c.onLoad||c.onError?ib=J(a,c):(k&&a.push(kc),ib=h?null:J(e.hoistableChunks,c));return ib;case "script":var Cc=c.async;if("string"!==typeof c.src||!c.src||!Cc||"function"===typeof Cc||"symbol"===typeof Cc||c.onLoad||c.onError||3===g.insertionMode||
g.tagScope&1||null!=c.itemProp)var ie=gc(a,c);else{var Ib=c.src;if("module"===c.type){var Jb=d.moduleScriptResources;var je=e.preloads.moduleScripts}else Jb=d.scriptResources,je=e.preloads.scripts;var Kb=Jb.hasOwnProperty(Ib)?Jb[Ib]:void 0;if(null!==Kb){Jb[Ib]=null;var Dc=c;if(Kb){2===Kb.length&&(Dc=B({},c),fd(Dc,Kb));var ke=je.get(Ib);ke&&(ke.length=0)}var le=[];e.scripts.add(le);gc(le,Dc)}k&&a.push(kc);ie=null}return ie;case "style":var Lb=c.precedence,Ca=c.href;if(3===g.insertionMode||g.tagScope&
1||null!=c.itemProp||"string"!==typeof Lb||"string"!==typeof Ca||""===Ca){a.push(V("style"));var Pa=null,me=null,kb;for(kb in c)if(C.call(c,kb)){var Mb=c[kb];if(null!=Mb)switch(kb){case "children":Pa=Mb;break;case "dangerouslySetInnerHTML":me=Mb;break;default:S(a,kb,Mb)}}a.push(U);var lb=Array.isArray(Pa)?2>Pa.length?Pa[0]:null:Pa;"function"!==typeof lb&&"symbol"!==typeof lb&&null!==lb&&void 0!==lb&&a.push(z(G(""+lb)));Rc(a,me,Pa);a.push(Zc("style"));var ne=null}else{var Da=e.styles.get(Lb);if(null!==
(d.styleResources.hasOwnProperty(Ca)?d.styleResources[Ca]:void 0)){d.styleResources[Ca]=null;Da?Da.hrefs.push(z(G(Ca))):(Da={precedence:z(G(Lb)),rules:[],hrefs:[z(G(Ca))],sheets:new Map},e.styles.set(Lb,Da));var oe=Da.rules,Qa=null,pe=null,Nb;for(Nb in c)if(C.call(c,Nb)){var Ec=c[Nb];if(null!=Ec)switch(Nb){case "children":Qa=Ec;break;case "dangerouslySetInnerHTML":pe=Ec}}var mb=Array.isArray(Qa)?2>Qa.length?Qa[0]:null:Qa;"function"!==typeof mb&&"symbol"!==typeof mb&&null!==mb&&void 0!==mb&&oe.push(z(G(""+
mb)));Rc(oe,pe,Qa)}Da&&f&&f.styles.add(Da);k&&a.push(kc);ne=void 0}return ne;case "meta":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var qe=Xc(a,c,"meta");else k&&a.push(kc),qe=h?null:"string"===typeof c.charSet?Xc(e.charsetChunks,c,"meta"):"viewport"===c.name?Xc(e.viewportChunks,c,"meta"):Xc(e.hoistableChunks,c,"meta");return qe;case "listing":case "pre":a.push(V(b));var nb=null,ob=null,pb;for(pb in c)if(C.call(c,pb)){var Ob=c[pb];if(null!=Ob)switch(pb){case "children":nb=Ob;break;case "dangerouslySetInnerHTML":ob=
Ob;break;default:S(a,pb,Ob)}}a.push(U);if(null!=ob){if(null!=nb)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof ob||!("__html"in ob))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");var Ea=ob.__html;null!==Ea&&void 0!==Ea&&("string"===typeof Ea&&0<Ea.length&&"\n"===Ea[0]?a.push(ad,z(Ea)):a.push(z(""+Ea)))}"string"===typeof nb&&
"\n"===nb[0]&&a.push(ad);return nb;case "img":var N=c.src,H=c.srcSet;if(!("lazy"===c.loading||!N&&!H||"string"!==typeof N&&null!=N||"string"!==typeof H&&null!=H)&&"low"!==c.fetchPriority&&!1===!!(g.tagScope&2)&&("string"!==typeof N||":"!==N[4]||"d"!==N[0]&&"D"!==N[0]||"a"!==N[1]&&"A"!==N[1]||"t"!==N[2]&&"T"!==N[2]||"a"!==N[3]&&"A"!==N[3])&&("string"!==typeof H||":"!==H[4]||"d"!==H[0]&&"D"!==H[0]||"a"!==H[1]&&"A"!==H[1]||"t"!==H[2]&&"T"!==H[2]||"a"!==H[3]&&"A"!==H[3])){var re="string"===typeof c.sizes?
c.sizes:void 0,Ra=H?H+"\n"+(re||""):N,Fc=e.preloads.images,Fa=Fc.get(Ra);if(Fa){if("high"===c.fetchPriority||10>e.highImagePreloads.size)Fc.delete(Ra),e.highImagePreloads.add(Fa)}else if(!d.imageResources.hasOwnProperty(Ra)){d.imageResources[Ra]=I;var Gc=c.crossOrigin;var se="string"===typeof Gc?"use-credentials"===Gc?Gc:"":void 0;var la=e.headers,Hc;la&&0<la.remainingCapacity&&("high"===c.fetchPriority||500>la.highImagePreloads.length)&&(Hc=gd(N,"image",{imageSrcSet:c.srcSet,imageSizes:c.sizes,crossOrigin:se,
integrity:c.integrity,nonce:c.nonce,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.refererPolicy}),2<=(la.remainingCapacity-=Hc.length))?(e.resets.image[Ra]=I,la.highImagePreloads&&(la.highImagePreloads+=", "),la.highImagePreloads+=Hc):(Fa=[],J(Fa,{rel:"preload",as:"image",href:H?void 0:N,imageSrcSet:H,imageSizes:re,crossOrigin:se,integrity:c.integrity,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(Fa):
(e.bulkPreloads.add(Fa),Fc.set(Ra,Fa)))}}return Xc(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return Xc(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;case "head":if(2>g.insertionMode&&null===e.headChunks){e.headChunks=[];var te=$c(e.headChunks,c,"head")}else te=$c(a,
c,"head");return te;case "html":if(0===g.insertionMode&&null===e.htmlChunks){e.htmlChunks=[dd];var ue=$c(e.htmlChunks,c,"html")}else ue=$c(a,c,"html");return ue;default:if(-1!==b.indexOf("-")){a.push(V(b));var Ic=null,ve=null,Sa;for(Sa in c)if(C.call(c,Sa)){var fa=c[Sa];if(null!=fa){var we=Sa;switch(Sa){case "children":Ic=fa;break;case "dangerouslySetInnerHTML":ve=fa;break;case "style":qc(a,fa);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;case "className":we=
"class";default:if(jb(Sa)&&"function"!==typeof fa&&"symbol"!==typeof fa&&!1!==fa){if(!0===fa)fa="";else if("object"===typeof fa)continue;a.push(Q,z(we),sc,z(G(fa)),rc)}}}}a.push(U);Rc(a,ve,Ic);return Ic}}return $c(a,c,b)}var hd=new Map;function Zc(a){var b=hd.get(a);void 0===b&&(b=A("</"+a+">"),hd.set(a,b));return b}function id(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)r(a,b[c]);return c<b.length?(c=b[c],b.length=0,w(a,c)):!0}
var jd=A('<template id="'),kd=A('"></template>'),ld=A("\x3c!--$--\x3e"),md=A('\x3c!--$?--\x3e<template id="'),nd=A('"></template>'),od=A("\x3c!--$!--\x3e"),pd=A("\x3c!--/$--\x3e"),qd=A("<template"),rd=A('"'),sd=A(' data-dgst="');A(' data-msg="');A(' data-stck="');A(' data-cstck="');var td=A("></template>");function ud(a,b,c){r(a,md);if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");r(a,b.boundaryPrefix);r(a,z(c.toString(16)));return w(a,nd)}
var vd=A('<div hidden id="'),wd=A('">'),xd=A("</div>"),yd=A('<svg aria-hidden="true" style="display:none" id="'),zd=A('">'),Ad=A("</svg>"),Bd=A('<math aria-hidden="true" style="display:none" id="'),Cd=A('">'),Dd=A("</math>"),Ed=A('<table hidden id="'),Fd=A('">'),Gd=A("</table>"),Hd=A('<table hidden><tbody id="'),Id=A('">'),Jd=A("</tbody></table>"),Kd=A('<table hidden><tr id="'),Ld=A('">'),Md=A("</tr></table>"),Nd=A('<table hidden><colgroup id="'),Od=A('">'),Pd=A("</colgroup></table>");
function Qd(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return r(a,vd),r(a,b.segmentPrefix),r(a,z(d.toString(16))),w(a,wd);case 3:return r(a,yd),r(a,b.segmentPrefix),r(a,z(d.toString(16))),w(a,zd);case 4:return r(a,Bd),r(a,b.segmentPrefix),r(a,z(d.toString(16))),w(a,Cd);case 5:return r(a,Ed),r(a,b.segmentPrefix),r(a,z(d.toString(16))),w(a,Fd);case 6:return r(a,Hd),r(a,b.segmentPrefix),r(a,z(d.toString(16))),w(a,Id);case 7:return r(a,Kd),r(a,b.segmentPrefix),r(a,z(d.toString(16))),w(a,Ld);
case 8:return r(a,Nd),r(a,b.segmentPrefix),r(a,z(d.toString(16))),w(a,Od);default:throw Error("Unknown insertion mode. This is a bug in React.");}}function Rd(a,b){switch(b.insertionMode){case 0:case 1:case 2:return w(a,xd);case 3:return w(a,Ad);case 4:return w(a,Dd);case 5:return w(a,Gd);case 6:return w(a,Jd);case 7:return w(a,Md);case 8:return w(a,Pd);default:throw Error("Unknown insertion mode. This is a bug in React.");}}
var xe=A('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("'),ye=A('$RS("'),ze=A('","'),Ae=A('")\x3c/script>'),Be=A('<template data-rsi="" data-sid="'),Ce=A('" data-pid="'),De=A('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("'),
Ee=A('$RC("'),Fe=A('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("'),
Ge=A('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("'),
He=A('$RR("'),Ie=A('","'),Je=A('",'),Ke=A('"'),Le=A(")\x3c/script>"),Me=A('<template data-rci="" data-bid="'),Ne=A('<template data-rri="" data-bid="'),Oe=A('" data-sid="'),Pe=A('" data-sty="'),Qe=A('$RX=function(b,c,d,e,f){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),f&&(a.cstck=f),b._reactRetry&&b._reactRetry())};;$RX("'),Re=A('$RX("'),Se=A('"'),Te=A(","),Ue=A(")\x3c/script>"),Ve=A('<template data-rxi="" data-bid="'),We=
A('" data-dgst="');A('" data-msg="');A('" data-stck="');A('" data-cstck="');var Xe=/[<\u2028\u2029]/g;function Ye(a){return JSON.stringify(a).replace(Xe,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Ze=/[&><\u2028\u2029]/g;
function $e(a){return JSON.stringify(a).replace(Ze,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}
var af=A('<style media="not all" data-precedence="'),bf=A('" data-href="'),cf=A('">'),df=A("</style>"),ef=!1,ff=!0;function gf(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){r(this,af);r(this,a.precedence);for(r(this,bf);d<c.length-1;d++)r(this,c[d]),r(this,hf);r(this,c[d]);r(this,cf);for(d=0;d<b.length;d++)r(this,b[d]);ff=w(this,df);ef=!0;b.length=0;c.length=0}}function jf(a){return 2!==a.state?ef=!0:!1}
function kf(a,b,c){ef=!1;ff=!0;b.styles.forEach(gf,a);b.stylesheets.forEach(jf);ef&&(c.stylesToHoist=!0);return ff}function lf(a){for(var b=0;b<a.length;b++)r(this,a[b]);a.length=0}var mf=[];function nf(a){J(mf,a.props);for(var b=0;b<mf.length;b++)r(this,mf[b]);mf.length=0;a.state=2}var of=A('<style data-precedence="'),pf=A('" data-href="'),hf=A(" "),qf=A('">'),rf=A("</style>");
function sf(a){var b=0<a.sheets.size;a.sheets.forEach(nf,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){r(this,of);r(this,a.precedence);a=0;if(d.length){for(r(this,pf);a<d.length-1;a++)r(this,d[a]),r(this,hf);r(this,d[a])}r(this,qf);for(a=0;a<c.length;a++)r(this,c[a]);r(this,rf);c.length=0;d.length=0}}
function tf(a){if(0===a.state){a.state=1;var b=a.props;J(mf,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<mf.length;a++)r(this,mf[a]);mf.length=0}}function uf(a){a.sheets.forEach(tf,this);a.sheets.clear()}var vf=A("["),wf=A(",["),xf=A(","),yf=A("]");
function zf(a,b){r(a,vf);var c=vf;b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)r(a,c),r(a,z($e(""+d.props.href))),r(a,yf),c=wf;else{r(a,c);var e=d.props["data-precedence"],f=d.props,g=wb(""+d.props.href);r(a,z($e(g)));e=""+e;r(a,xf);r(a,z($e(e)));for(var k in f)if(C.call(f,k)&&(e=f[k],null!=e))switch(k){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:Af(a,k,e)}r(a,yf);c=wf;d.state=3}});r(a,yf)}
function Af(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=wb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!jb(b))return;b=""+c}r(a,xf);r(a,z($e(d)));r(a,
xf);r(a,z($e(b)))}
function Bf(a,b){r(a,vf);var c=vf;b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)r(a,c),r(a,z(G(JSON.stringify(""+d.props.href)))),r(a,yf),c=wf;else{r(a,c);var e=d.props["data-precedence"],f=d.props,g=wb(""+d.props.href);r(a,z(G(JSON.stringify(g))));e=""+e;r(a,xf);r(a,z(G(JSON.stringify(e))));for(var k in f)if(C.call(f,k)&&(e=f[k],null!=e))switch(k){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:Cf(a,
k,e)}r(a,yf);c=wf;d.state=3}});r(a,yf)}
function Cf(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=wb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!jb(b))return;b=""+c}r(a,xf);r(a,z(G(JSON.stringify(d))));
r(a,xf);r(a,z(G(JSON.stringify(b))))}function Df(){return{styles:new Set,stylesheets:new Set}}
function Bb(a){var b=Ef();if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){c.dnsResources[a]=null;c=d.headers;var e,f;if(f=c&&0<c.remainingCapacity)f=(e="<"+(""+a).replace(Ff,Gf)+">; rel=dns-prefetch",2<=(c.remainingCapacity-=e.length));f?(d.resets.dns[a]=null,c.preconnects&&(c.preconnects+=", "),c.preconnects+=e):(e=[],J(e,{href:a,rel:"dns-prefetch"}),d.preconnects.add(e))}Hf(b)}}else Ab.prefetchDNS(a)}
function Cb(a,b){var c=Ef();if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){var f="use-credentials"===b?"credentials":"string"===typeof b?"anonymous":"default";if(!d.connectResources[f].hasOwnProperty(a)){d.connectResources[f][a]=null;d=e.headers;var g,k;if(k=d&&0<d.remainingCapacity){k="<"+(""+a).replace(Ff,Gf)+">; rel=preconnect";if("string"===typeof b){var h=(""+b).replace(If,Jf);k+='; crossorigin="'+h+'"'}k=(g=k,2<=(d.remainingCapacity-=g.length))}k?(e.resets.connect[f][a]=
null,d.preconnects&&(d.preconnects+=", "),d.preconnects+=g):(f=[],J(f,{rel:"preconnect",href:a,crossOrigin:b}),e.preconnects.add(f))}Hf(c)}}else Ab.preconnect(a,b)}
function Db(a,b,c){var d=Ef();if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var g=c.imageSrcSet;var k=c.imageSizes;var h=c.fetchPriority}var n=g?g+"\n"+(k||""):a;if(e.imageResources.hasOwnProperty(n))return;e.imageResources[n]=I;e=f.headers;var p;e&&0<e.remainingCapacity&&"high"===h&&(p=gd(a,b,c),2<=(e.remainingCapacity-=p.length))?(f.resets.image[n]=I,e.highImagePreloads&&(e.highImagePreloads+=", "),e.highImagePreloads+=p):(e=[],J(e,B({rel:"preload",href:g?void 0:
a,as:b},c)),"high"===h?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(n,e)));break;case "style":if(e.styleResources.hasOwnProperty(a))return;g=[];J(g,B({rel:"preload",href:a,as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?I:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,g);f.bulkPreloads.add(g);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;g=[];f.preloads.scripts.set(a,g);f.bulkPreloads.add(g);
J(g,B({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?I:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(g=e.unknownResources[b],g.hasOwnProperty(a))return}else g={},e.unknownResources[b]=g;g[a]=I;if((e=f.headers)&&0<e.remainingCapacity&&"font"===b&&(n=gd(a,b,c),2<=(e.remainingCapacity-=n.length)))f.resets.font[a]=I,e.fontPreloads&&(e.fontPreloads+=", "),e.fontPreloads+=n;else switch(e=[],
a=B({rel:"preload",href:a,as:b},c),J(e,a),b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}}Hf(d)}}else Ab.preload(a,b,c)}
function Pb(a,b){var c=Ef();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?I:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var g=d.unknownResources[f];if(g.hasOwnProperty(a))return}else g={},d.moduleUnknownResources[f]=
g;f=[];g[a]=I}J(f,B({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);Hf(c)}}else Ab.preloadModule(a,b)}
function Rb(a,b,c){var d=Ef();if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var g=f.styles.get(b),k=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==k&&(e.styleResources[a]=null,g||(g={precedence:z(G(b)),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,g)),b={state:0,props:B({rel:"stylesheet",href:a,"data-precedence":b},c)},k&&(2===k.length&&fd(b.props,k),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),g.sheets.set(a,b),Hf(d))}}else Ab.preinitStyle(a,
b,c)}function Qb(a,b){var c=Ef();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=B({src:a,async:!0},b),f&&(2===f.length&&fd(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),gc(a,b),Hf(c))}}else Ab.preinitScript(a,b)}
function Sb(a,b){var c=Ef();if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=B({src:a,type:"module",async:!0},b),f&&(2===f.length&&fd(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),gc(a,b),Hf(c))}}else Ab.preinitModuleScript(a,b)}function fd(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}
function gd(a,b,c){a=(""+a).replace(Ff,Gf);b=(""+b).replace(If,Jf);b="<"+a+'>; rel=preload; as="'+b+'"';for(var d in c)C.call(c,d)&&(a=c[d],"string"===typeof a&&(b+="; "+d.toLowerCase()+'="'+(""+a).replace(If,Jf)+'"'));return b}var Ff=/[<>\r\n]/g;
function Gf(a){switch(a){case "<":return"%3C";case ">":return"%3E";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeLinkHrefForHeaderContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}var If=/["';,\r\n]/g;
function Jf(a){switch(a){case '"':return"%22";case "'":return"%27";case ";":return"%3B";case ",":return"%2C";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeStringForLinkHeaderQuotedParamValueContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}function Kf(a){this.styles.add(a)}function Lf(a){this.stylesheets.add(a)}
var Mf="function"===typeof AsyncLocalStorage,Nf=Mf?new AsyncLocalStorage:null,Of=Symbol.for("react.client.reference");
function Qf(a){if(null==a)return null;if("function"===typeof a)return a.$$typeof===Of?null:a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case ma:return"Fragment";case ha:return"Portal";case pa:return"Profiler";case oa:return"StrictMode";case ya:return"Suspense";case Ga:return"SuspenseList"}if("object"===typeof a)switch(a.$$typeof){case wa:return(a.displayName||"Context")+".Provider";case ra:return(a._context.displayName||"Context")+".Consumer";case xa:var b=a.render;a=a.displayName;
a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case Ha:return b=a.displayName||null,null!==b?b:Qf(a.type)||"Memo";case Ia:b=a._payload;a=a._init;try{return Qf(a(b))}catch(c){}}return null}var Rf={},Sf=null;
function Tf(a,b){if(a!==b){a.context._currentValue=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");Tf(a,c)}b.context._currentValue=b.value}}function Uf(a){a.context._currentValue=a.parentValue;a=a.parent;null!==a&&Uf(a)}
function Vf(a){var b=a.parent;null!==b&&Vf(b);a.context._currentValue=a.value}function Wf(a,b){a.context._currentValue=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?Tf(a,b):Wf(a,b)}
function Xf(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?Tf(a,c):Xf(a,c);b.context._currentValue=b.value}function Yf(a){var b=Sf;b!==a&&(null===b?Vf(a):null===a?Uf(b):b.depth===a.depth?Tf(b,a):b.depth>a.depth?Wf(b,a):Xf(b,a),Sf=a)}
var Zf={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}},$f={id:1,overflow:""};function ag(a,b,c){var d=a.id;a=a.overflow;var e=32-bg(d)-1;d&=~(1<<e);c+=1;var f=32-bg(b)+e;if(30<f){var g=e-e%5;f=(d&(1<<g)-1).toString(32);d>>=g;e-=g;return{id:1<<32-bg(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}
var bg=Math.clz32?Math.clz32:cg,dg=Math.log,eg=Math.LN2;function cg(a){a>>>=0;return 0===a?32:31-(dg(a)/eg|0)|0}var fg=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function gg(){}function hg(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(gg,gg),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:if("string"!==typeof b.status)switch(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}),b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}ig=b;throw fg;}}var ig=null;
function jg(){if(null===ig)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=ig;ig=null;return a}function kg(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var lg="function"===typeof Object.is?Object.is:kg,mg=null,ng=null,og=null,pg=null,qg=null,W=null,rg=!1,sg=!1,tg=0,ug=0,vg=-1,wg=0,xg=null,yg=null,zg=0;
function Ag(){if(null===mg)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://react.dev/link/invalid-hook-call for tips about how to debug and fix this problem.");return mg}
function Bg(){if(0<zg)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function Cg(){null===W?null===qg?(rg=!1,qg=W=Bg()):(rg=!0,W=qg):null===W.next?(rg=!1,W=W.next=Bg()):(rg=!0,W=W.next);return W}function Dg(){var a=xg;xg=null;return a}function Eg(){pg=og=ng=mg=null;sg=!1;qg=null;zg=0;W=yg=null}function Fg(a,b){return"function"===typeof b?b(a):b}
function Gg(a,b,c){mg=Ag();W=Cg();if(rg){var d=W.queue;b=d.dispatch;if(null!==yg&&(c=yg.get(d),void 0!==c)){yg.delete(d);d=W.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);W.memoizedState=d;return[d,b]}return[W.memoizedState,b]}a=a===Fg?"function"===typeof b?b():b:void 0!==c?c(b):b;W.memoizedState=a;a=W.queue={last:null,dispatch:null};a=a.dispatch=Hg.bind(null,mg,a);return[W.memoizedState,a]}
function Ig(a,b){mg=Ag();W=Cg();b=void 0===b?null:b;if(null!==W){var c=W.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!lg(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();W.memoizedState=[a,b];return a}
function Hg(a,b,c){if(25<=zg)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===mg)if(sg=!0,a={action:c,next:null},null===yg&&(yg=new Map),c=yg.get(b),void 0===c)yg.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function Jg(){throw Error("startTransition cannot be called during server rendering.");}function Kg(){throw Error("Cannot update optimistic state while rendering.");}
function Lg(a,b,c){Ag();var d=ug++,e=og;if("function"===typeof a.$$FORM_ACTION){var f=null,g=pg;e=e.formState;var k=a.$$IS_SIGNATURE_EQUAL;if(null!==e&&"function"===typeof k){var h=e[1];k.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+Ua(JSON.stringify([g,null,d]),0),h===f&&(vg=d,b=e[0]))}var n=a.bind(null,b);a=function(m){n(m)};"function"===typeof n.$$FORM_ACTION&&(a.$$FORM_ACTION=function(m){m=n.$$FORM_ACTION(m);void 0!==c&&(c+="",m.action=c);var t=m.data;t&&(null===f&&(f=void 0!==c?"p"+c:"k"+Ua(JSON.stringify([g,
null,d]),0)),t.append("$ACTION_KEY",f));return m});return[b,a,!1]}var p=a.bind(null,b);return[b,function(m){p(m)},!1]}function Mg(a){var b=wg;wg+=1;null===xg&&(xg=[]);return hg(xg,a,b)}function Ng(){throw Error("Cache cannot be refreshed during server rendering.");}function Og(){}
var Qg={readContext:function(a){return a._currentValue},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return Mg(a);if(a.$$typeof===wa)return a._currentValue}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){Ag();return a._currentValue},useMemo:Ig,useReducer:Gg,useRef:function(a){mg=Ag();W=Cg();var b=W.memoizedState;return null===b?(a={current:a},W.memoizedState=a):b},useState:function(a){return Gg(Fg,a)},useInsertionEffect:Og,
useLayoutEffect:Og,useCallback:function(a,b){return Ig(function(){return a},b)},useImperativeHandle:Og,useEffect:Og,useDebugValue:Og,useDeferredValue:function(a){Ag();return a},useTransition:function(){Ag();return[!1,Jg]},useId:function(){var a=ng.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-bg(a)-1)).toString(32)+b;var c=Pg;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=tg++;a=":"+c.idPrefix+"R"+a;0<b&&(a+="H"+b.toString(32));
return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return Ng},useHostTransitionStatus:function(){Ag();return yb},useOptimistic:function(a){Ag();return[a,Kg]}};Qg.useFormState=Lg;Qg.useActionState=Lg;var Pg=null,Rg={getCacheForType:function(){throw Error("Not implemented.");}},Sg;
function Tg(a){if(void 0===Sg)try{throw Error();}catch(c){var b=c.stack.trim().match(/\n( *(at )?)/);Sg=b&&b[1]||""}return"\n"+Sg+a}var Ug=!1;
function Vg(a,b){if(!a||Ug)return"";Ug=!0;var c=Error.prepareStackTrace;Error.prepareStackTrace=void 0;var d={DetermineComponentFrameRoot:function(){try{if(b){var m=function(){throw Error();};Object.defineProperty(m.prototype,"props",{set:function(){throw Error();}});if("object"===typeof Reflect&&Reflect.construct){try{Reflect.construct(m,[])}catch(u){var t=u}Reflect.construct(a,[],m)}else{try{m.call()}catch(u){t=u}a.call(m.prototype)}}else{try{throw Error();}catch(u){t=u}(m=a())&&"function"===typeof m.catch&&
m.catch(function(){})}}catch(u){if(u&&t&&"string"===typeof u.stack)return[u.stack,t.stack]}return[null,null]}};d.DetermineComponentFrameRoot.displayName="DetermineComponentFrameRoot";var e=Object.getOwnPropertyDescriptor(d.DetermineComponentFrameRoot,"name");e&&e.configurable&&Object.defineProperty(d.DetermineComponentFrameRoot,"name",{value:"DetermineComponentFrameRoot"});try{var f=d.DetermineComponentFrameRoot(),g=f[0],k=f[1];if(g&&k){var h=g.split("\n"),n=k.split("\n");for(e=d=0;d<h.length&&!h[d].includes("DetermineComponentFrameRoot");)d++;
for(;e<n.length&&!n[e].includes("DetermineComponentFrameRoot");)e++;if(d===h.length||e===n.length)for(d=h.length-1,e=n.length-1;1<=d&&0<=e&&h[d]!==n[e];)e--;for(;1<=d&&0<=e;d--,e--)if(h[d]!==n[e]){if(1!==d||1!==e){do if(d--,e--,0>e||h[d]!==n[e]){var p="\n"+h[d].replace(" at new "," at ");a.displayName&&p.includes("<anonymous>")&&(p=p.replace("<anonymous>",a.displayName));return p}while(1<=d&&0<=e)}break}}}finally{Ug=!1,Error.prepareStackTrace=c}return(c=a?a.displayName||a.name:"")?Tg(c):""}
var Wg=xb.ReactCurrentDispatcher,Xg=xb.ReactCurrentCache;function Yg(a){console.error(a);return null}function Zg(){}
function $g(a,b,c,d,e,f,g,k,h,n,p,m){var t=[],u=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:u,pingedTasks:t,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?Yg:f,onPostpone:void 0===p?Zg:p,onAllReady:void 0===g?Zg:g,onShellReady:void 0===
k?Zg:k,onShellError:void 0===h?Zg:h,onFatalError:void 0===n?Zg:n,formState:void 0===m?null:m};c=ah(b,0,null,d,!1,!1);c.parentFlushed=!0;a=bh(b,null,a,-1,null,c,null,u,null,d,Rf,null,$f,null,!1);t.push(a);return b}var ch=null;function Ef(){if(ch)return ch;if(Mf){var a=Nf.getStore();if(a)return a}return null}function dh(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,setTimeout(function(){return eh(a)},0))}
function fh(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,contentState:Df(),fallbackState:Df(),trackedContentKeyPath:null,trackedFallbackNode:null}}
function bh(a,b,c,d,e,f,g,k,h,n,p,m,t,u,y){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var x={replay:null,node:c,childIndex:d,ping:function(){return dh(a,x)},blockedBoundary:e,blockedSegment:f,hoistableState:g,abortSet:k,keyPath:h,formatContext:n,legacyContext:p,context:m,treeContext:t,componentStack:u,thenableState:b,isFallback:y};k.add(x);return x}
function gh(a,b,c,d,e,f,g,k,h,n,p,m,t,u,y){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var x={replay:c,node:d,childIndex:e,ping:function(){return dh(a,x)},blockedBoundary:f,blockedSegment:null,hoistableState:g,abortSet:k,keyPath:h,formatContext:n,legacyContext:p,context:m,treeContext:t,componentStack:u,thenableState:b,isFallback:y};k.add(x);return x}
function ah(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}function hh(a,b){return{tag:0,parent:a.componentStack,type:b}}
function ih(a,b){if(b&&null!==a.trackedPostpones){try{a="";do{switch(b.tag){case 0:a+=Tg(b.type);break;case 1:a+=Vg(b.type,!1);break;case 2:a+=Vg(b.type,!0)}b=b.parent}while(b);var c=a}catch(d){c="\nError generating stack: "+d.message+"\n"+d.stack}c={componentStack:c}}else c={};return c}function Y(a,b,c){a=a.onError(b,c);if(null==a||"string"===typeof a)return a}
function jh(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,Xa(a.destination,b)):(a.status=1,a.fatalError=b)}function kh(a,b,c,d,e,f){var g=b.thenableState;b.thenableState=null;mg={};ng=b;og=a;pg=c;ug=tg=0;vg=-1;wg=0;xg=g;for(a=d(e,f);sg;)sg=!1,ug=tg=0,vg=-1,wg=0,zg+=1,W=null,a=d(e,f);Eg();return a}
function lh(a,b,c,d,e,f,g){var k=!1;if(0!==f&&null!==a.formState){var h=b.blockedSegment;if(null!==h){k=!0;h=h.chunks;for(var n=0;n<f;n++)n===g?h.push(Vc):h.push(Wc)}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=ag(c,1,0),mh(a,b,d,-1),b.treeContext=c):k?mh(a,b,d,-1):Z(a,b,d,-1);b.keyPath=f}
function nh(a,b,c,d,e,f){if("function"===typeof d)if(d.prototype&&d.prototype.isReactComponent){var g=e;if("ref"in e){g={};for(var k in e)"ref"!==k&&(g[k]=e[k])}var h=d.defaultProps;if(h){g===e&&(g=B({},g,e));for(var n in h)void 0===g[n]&&(g[n]=h[n])}e=b.componentStack;b.componentStack={tag:2,parent:b.componentStack,type:d};h=Rf;f=d.contextType;"object"===typeof f&&null!==f&&(h=f._currentValue);h=new d(g,h);n=void 0!==h.state?h.state:null;h.updater=Zf;h.props=g;h.state=n;f={queue:[],replace:!1};h._reactInternals=
f;var p=d.contextType;h.context="object"===typeof p&&null!==p?p._currentValue:Rf;p=d.getDerivedStateFromProps;"function"===typeof p&&(p=p(g,n),n=null===p||void 0===p?n:B({},n,p),h.state=n);if("function"!==typeof d.getDerivedStateFromProps&&"function"!==typeof h.getSnapshotBeforeUpdate&&("function"===typeof h.UNSAFE_componentWillMount||"function"===typeof h.componentWillMount))if(d=h.state,"function"===typeof h.componentWillMount&&h.componentWillMount(),"function"===typeof h.UNSAFE_componentWillMount&&
h.UNSAFE_componentWillMount(),d!==h.state&&Zf.enqueueReplaceState(h,h.state,null),null!==f.queue&&0<f.queue.length)if(d=f.queue,p=f.replace,f.queue=null,f.replace=!1,p&&1===d.length)h.state=d[0];else{f=p?d[0]:h.state;n=!0;for(p=p?1:0;p<d.length;p++)k=d[p],k="function"===typeof k?k.call(h,f,g,void 0):k,null!=k&&(n?(n=!1,f=B({},f,k)):B(f,k));h.state=f}else f.queue=null;d=h.render();g=b.keyPath;b.keyPath=c;Z(a,b,d,-1);b.keyPath=g;b.componentStack=e}else g=b.componentStack,b.componentStack={tag:1,parent:b.componentStack,
type:d},d=kh(a,b,c,d,e,void 0),lh(a,b,c,d,0!==tg,ug,vg),b.componentStack=g;else if("string"===typeof d){g=b.componentStack;b.componentStack=hh(b,d);h=b.blockedSegment;if(null===h)h=e.children,f=b.formatContext,n=b.keyPath,b.formatContext=jc(f,d,e),b.keyPath=c,mh(a,b,h,-1),b.formatContext=f,b.keyPath=n;else{n=ed(h.chunks,d,e,a.resumableState,a.renderState,b.hoistableState,b.formatContext,h.lastPushedText,b.isFallback);h.lastPushedText=!1;f=b.formatContext;p=b.keyPath;b.formatContext=jc(f,d,e);b.keyPath=
c;mh(a,b,n,-1);b.formatContext=f;b.keyPath=p;a:{c=h.chunks;a=a.resumableState;switch(d){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;case "body":if(1>=f.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===f.insertionMode){a.hasHtml=!0;break a}}c.push(Zc(d))}h.lastPushedText=!1}b.componentStack=g}else{switch(d){case Ma:case Ka:case oa:case pa:case ma:d=
b.keyPath;b.keyPath=c;Z(a,b,e.children,-1);b.keyPath=d;return;case La:"hidden"!==e.mode&&(d=b.keyPath,b.keyPath=c,Z(a,b,e.children,-1),b.keyPath=d);return;case Ga:d=b.componentStack;b.componentStack=hh(b,"SuspenseList");g=b.keyPath;b.keyPath=c;Z(a,b,e.children,-1);b.keyPath=g;b.componentStack=d;return;case Ja:throw Error("ReactDOMServer does not yet support scope components.");case ya:a:if(null!==b.replay){d=b.keyPath;b.keyPath=c;c=e.children;try{mh(a,b,c,-1)}finally{b.keyPath=d}}else{var m=b.componentStack;
d=b.componentStack=hh(b,"Suspense");var t=b.keyPath;f=b.blockedBoundary;var u=b.hoistableState,y=b.blockedSegment;n=e.fallback;var x=e.children;e=new Set;p=fh(a,e);null!==a.trackedPostpones&&(p.trackedContentKeyPath=c);k=ah(a,y.chunks.length,p,b.formatContext,!1,!1);y.children.push(k);y.lastPushedText=!1;var v=ah(a,0,null,b.formatContext,!1,!1);v.parentFlushed=!0;b.blockedBoundary=p;b.hoistableState=p.contentState;b.blockedSegment=v;b.keyPath=c;try{if(mh(a,b,x,-1),v.lastPushedText&&v.textEmbedded&&
v.chunks.push(kc),v.status=1,oh(p,v),0===p.pendingTasks&&0===p.status){p.status=1;b.componentStack=m;break a}}catch(K){v.status=4,p.status=4,g=ih(a,b.componentStack),h=Y(a,K,g),p.errorDigest=h,ph(a,p)}finally{b.blockedBoundary=f,b.hoistableState=u,b.blockedSegment=y,b.keyPath=t,b.componentStack=m}g=[c[0],"Suspense Fallback",c[2]];h=a.trackedPostpones;null!==h&&(m=[g[1],g[2],[],null],h.workingMap.set(g,m),5===p.status?h.workingMap.get(c)[4]=m:p.trackedFallbackNode=m);b=bh(a,null,n,-1,f,k,p.fallbackState,
e,g,b.formatContext,b.legacyContext,b.context,b.treeContext,d,!0);a.pingedTasks.push(b)}return}if("object"===typeof d&&null!==d)switch(d.$$typeof){case xa:g=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d.render};if("ref"in e)for(p in h={},e)"ref"!==p&&(h[p]=e[p]);else h=e;d=kh(a,b,c,d.render,h,f);lh(a,b,c,d,0!==tg,ug,vg);b.componentStack=g;return;case Ha:nh(a,b,c,d.type,e,f);return;case qa:case wa:h=e.children;g=b.keyPath;e=e.value;f=d._currentValue;d._currentValue=e;n=Sf;
Sf=d={parent:n,depth:null===n?0:n.depth+1,context:d,parentValue:f,value:e};b.context=d;b.keyPath=c;Z(a,b,h,-1);a=Sf;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");a.context._currentValue=a.parentValue;a=Sf=a.parent;b.context=a;b.keyPath=g;return;case ra:e=e.children;d=e(d._context._currentValue);e=b.keyPath;b.keyPath=c;Z(a,b,d,-1);b.keyPath=e;return;case Ia:g=b.componentStack;b.componentStack=hh(b,"Lazy");h=d._init;d=h(d._payload);nh(a,b,c,d,e,void 0);
b.componentStack=g;return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==d?d:typeof d)+"."));}}
function qh(a,b,c,d,e){var f=b.replay,g=b.blockedBoundary,k=ah(a,0,null,b.formatContext,!1,!1);k.id=c;k.parentFlushed=!0;try{b.replay=null,b.blockedSegment=k,mh(a,b,d,e),k.status=1,null===g?a.completedRootSegment=k:(oh(g,k),g.parentFlushed&&a.partialBoundaries.push(g))}finally{b.replay=f,b.blockedSegment=null}}
function Z(a,b,c,d){if(null!==b.replay&&"number"===typeof b.replay.slots)qh(a,b,b.replay.slots,c,d);else if(b.node=c,b.childIndex=d,null!==c){if("object"===typeof c){switch(c.$$typeof){case da:var e=c.type,f=c.key,g=c.props;c=g.ref;var k=void 0!==c?c:null;var h=Qf(e),n=null==f?-1===d?0:d:f;f=[b.keyPath,h,n];if(null!==b.replay)a:{var p=b.replay;d=p.nodes;for(c=0;c<d.length;c++){var m=d[c];if(n===m[1]){if(4===m.length){if(null!==h&&h!==m[0])throw Error("Expected the resume to render <"+m[0]+"> in this slot but instead it rendered <"+
h+">. The tree doesn't match so React will fallback to client rendering.");var t=m[2];h=m[3];n=b.node;b.replay={nodes:t,slots:h,pendingTasks:1};try{nh(a,b,f,e,g,k);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(E){if("object"===typeof E&&null!==E&&(E===fg||"function"===typeof E.then))throw b.node===n&&(b.replay=p),E;
b.replay.pendingTasks--;g=ih(a,b.componentStack);f=a;a=b.blockedBoundary;e=E;g=Y(f,e,g);rh(f,a,t,h,e,g)}b.replay=p}else{if(e!==ya)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(Qf(e)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{p=void 0;e=m[5];k=m[2];h=m[3];n=null===m[4]?[]:m[4][2];m=null===m[4]?null:m[4][3];var u=b.componentStack,y=b.componentStack=hh(b,"Suspense"),x=b.keyPath,v=b.replay,K=b.blockedBoundary,
X=b.hoistableState,L=g.children;g=g.fallback;var T=new Set,D=fh(a,T);D.parentFlushed=!0;D.rootSegmentID=e;b.blockedBoundary=D;b.hoistableState=D.contentState;b.replay={nodes:k,slots:h,pendingTasks:1};try{mh(a,b,L,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===D.pendingTasks&&0===D.status){D.status=1;a.completedBoundaries.push(D);
break b}}catch(E){D.status=4,t=ih(a,b.componentStack),p=Y(a,E,t),D.errorDigest=p,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(D)}finally{b.blockedBoundary=K,b.hoistableState=X,b.replay=v,b.keyPath=x,b.componentStack=u}b=gh(a,null,{nodes:n,slots:m,pendingTasks:0},g,-1,K,D.fallbackState,T,[f[0],"Suspense Fallback",f[2]],b.formatContext,b.legacyContext,b.context,b.treeContext,y,!0);a.pingedTasks.push(b)}}d.splice(c,1);break a}}}else nh(a,b,f,e,g,k);return;case ha:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");
case Ia:t=b.componentStack;b.componentStack=hh(b,"Lazy");g=c._init;c=g(c._payload);b.componentStack=t;Z(a,b,c,d);return}if(Ta(c)){sh(a,b,c,d);return}null===c||"object"!==typeof c?t=null:(t=Na&&c[Na]||c["@@iterator"],t="function"===typeof t?t:null);if(t&&(t=t.call(c))){c=t.next();if(!c.done){g=[];do g.push(c.value),c=t.next();while(!c.done);sh(a,b,g,d)}return}if("function"===typeof c.then)return b.thenableState=null,Z(a,b,Mg(c),d);if(c.$$typeof===wa)return Z(a,b,c._currentValue,d);d=Object.prototype.toString.call(c);
throw Error("Objects are not valid as a React child (found: "+("[object Object]"===d?"object with keys {"+Object.keys(c).join(", ")+"}":d)+"). If you meant to render a collection of children, use an array instead.");}if("string"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=lc(d.chunks,c,a.renderState,d.lastPushedText));else if("number"===typeof c||"bigint"===typeof c)d=b.blockedSegment,null!==d&&(d.lastPushedText=lc(d.chunks,""+c,a.renderState,d.lastPushedText))}}
function sh(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,g=f.nodes,k=0;k<g.length;k++){var h=g[k];if(h[1]===d){d=h[2];h=h[3];b.replay={nodes:d,slots:h,pendingTasks:1};try{sh(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(m){if("object"===typeof m&&
null!==m&&(m===fg||"function"===typeof m.then))throw m;b.replay.pendingTasks--;c=ih(a,b.componentStack);var n=b.blockedBoundary,p=m;c=Y(a,p,c);rh(a,n,d,h,p,c)}b.replay=f;g.splice(k,1);break}}b.keyPath=e;return}f=b.treeContext;g=c.length;if(null!==b.replay&&(k=b.replay.slots,null!==k&&"object"===typeof k)){for(d=0;d<g;d++)h=c[d],b.treeContext=ag(f,g,d),n=k[d],"number"===typeof n?(qh(a,b,n,h,d),delete k[d]):mh(a,b,h,d);b.treeContext=f;b.keyPath=e;return}for(k=0;k<g;k++)d=c[k],b.treeContext=ag(f,g,k),
mh(a,b,d,k);b.treeContext=f;b.keyPath=e}function ph(a,b){a=a.trackedPostpones;null!==a&&(b=b.trackedContentKeyPath,null!==b&&(b=a.workingMap.get(b),void 0!==b&&(b.length=4,b[2]=[],b[3]=null)))}
function mh(a,b,c,d){var e=b.formatContext,f=b.legacyContext,g=b.context,k=b.keyPath,h=b.treeContext,n=b.componentStack,p=b.blockedSegment;if(null===p)try{return Z(a,b,c,d)}catch(u){if(Eg(),c=u===fg?jg():u,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=Dg();a=gh(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.hoistableState,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,
a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;b.componentStack=n;Yf(g);return}}else{var m=p.children.length,t=p.chunks.length;try{return Z(a,b,c,d)}catch(u){if(Eg(),p.children.length=m,p.chunks.length=t,c=u===fg?jg():u,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=Dg();p=b.blockedSegment;m=ah(a,p.chunks.length,null,b.formatContext,p.lastPushedText,!0);p.children.push(m);p.lastPushedText=!1;a=bh(a,d,b.node,b.childIndex,b.blockedBoundary,m,b.hoistableState,
b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;b.componentStack=n;Yf(g);return}}}b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=k;b.treeContext=h;Yf(g);throw c;}function th(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,uh(this,b,a))}
function rh(a,b,c,d,e,f){for(var g=0;g<c.length;g++){var k=c[g];if(4===k.length)rh(a,b,k[2],k[3],e,f);else{k=k[5];var h=a,n=f,p=fh(h,new Set);p.parentFlushed=!0;p.rootSegmentID=k;p.status=4;p.errorDigest=n;p.parentFlushed&&h.clientRenderedBoundaries.push(p)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var m in d)delete d[m]}}
function vh(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(d={},1!==b.status&&2!==b.status){a=a.replay;if(null===a){Y(b,c,d);jh(b,c);return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&(d=Y(b,c,d),rh(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&wh(b)}}else d.pendingTasks--,4!==d.status&&(d.status=4,a=ih(b,a.componentStack),a=Y(b,c,a),d.errorDigest=a,ph(b,d),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return vh(f,
b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&xh(b)}
function yh(a,b){try{var c=a.renderState,d=c.onHeaders;if(d){var e=c.headers;if(e){c.headers=null;var f=e.preconnects;e.fontPreloads&&(f&&(f+=", "),f+=e.fontPreloads);e.highImagePreloads&&(f&&(f+=", "),f+=e.highImagePreloads);if(!b){var g=c.styles.values(),k=g.next();b:for(;0<e.remainingCapacity&&!k.done;k=g.next())for(var h=k.value.sheets.values(),n=h.next();0<e.remainingCapacity&&!n.done;n=h.next()){var p=n.value,m=p.props,t=m.href,u=p.props,y=gd(u.href,"style",{crossOrigin:u.crossOrigin,integrity:u.integrity,
nonce:u.nonce,type:u.type,fetchPriority:u.fetchPriority,referrerPolicy:u.referrerPolicy,media:u.media});if(2<=(e.remainingCapacity-=y.length))c.resets.style[t]=I,f&&(f+=", "),f+=y,c.resets.style[t]="string"===typeof m.crossOrigin||"string"===typeof m.integrity?[m.crossOrigin,m.integrity]:I;else break b}}f?d({Link:f}):d({})}}}catch(x){Y(a,x,{})}}function wh(a){null===a.trackedPostpones&&yh(a,!0);a.onShellError=Zg;a=a.onShellReady;a()}
function xh(a){yh(a,null===a.trackedPostpones?!0:null===a.completedRootSegment||5!==a.completedRootSegment.status);a=a.onAllReady;a()}function oh(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary&&-1===b.children[0].id){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&oh(a,c)}else a.completedSegments.push(b)}
function uh(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&wh(a)}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&oh(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(th,a),b.fallbackAbortableTasks.clear())):
null!==c&&c.parentFlushed&&1===c.status&&(oh(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&xh(a)}
function eh(a){if(2!==a.status){var b=Sf,c=Wg.current;Wg.current=Qg;var d=Xg.current;Xg.current=Rg;var e=ch;ch=a;var f=Pg;Pg=a.resumableState;try{var g=a.pingedTasks,k;for(k=0;k<g.length;k++){var h=g[k],n=a,p=h.blockedSegment;if(null===p){var m=n;if(0!==h.replay.pendingTasks){Yf(h.context);try{Z(m,h,h.node,h.childIndex);if(1===h.replay.pendingTasks&&0<h.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");
h.replay.pendingTasks--;h.abortSet.delete(h);uh(m,h.blockedBoundary,null)}catch(F){Eg();var t=F===fg?jg():F;if("object"===typeof t&&null!==t&&"function"===typeof t.then){var u=h.ping;t.then(u,u);h.thenableState=Dg()}else{h.replay.pendingTasks--;h.abortSet.delete(h);var y=ih(m,h.componentStack);n=void 0;var x=m,v=h.blockedBoundary,K=t,X=h.replay.nodes,L=h.replay.slots;n=Y(x,K,y);rh(x,v,X,L,K,n);m.pendingRootTasks--;0===m.pendingRootTasks&&wh(m);m.allPendingTasks--;0===m.allPendingTasks&&xh(m)}}finally{}}}else if(m=
void 0,x=p,0===x.status){Yf(h.context);var T=x.children.length,D=x.chunks.length;try{Z(n,h,h.node,h.childIndex),x.lastPushedText&&x.textEmbedded&&x.chunks.push(kc),h.abortSet.delete(h),x.status=1,uh(n,h.blockedBoundary,x)}catch(F){Eg();x.children.length=T;x.chunks.length=D;var E=F===fg?jg():F;if("object"===typeof E&&null!==E&&"function"===typeof E.then){var ia=h.ping;E.then(ia,ia);h.thenableState=Dg()}else{var ba=ih(n,h.componentStack);h.abortSet.delete(h);x.status=4;var M=h.blockedBoundary;m=Y(n,
E,ba);null===M?jh(n,E):(M.pendingTasks--,4!==M.status&&(M.status=4,M.errorDigest=m,ph(n,M),M.parentFlushed&&n.clientRenderedBoundaries.push(M)));n.allPendingTasks--;0===n.allPendingTasks&&xh(n)}}finally{}}}g.splice(0,k);null!==a.destination&&zh(a,a.destination)}catch(F){Y(a,F,{}),jh(a,F)}finally{Pg=f,Wg.current=c,Xg.current=d,c===Qg&&Yf(b),ch=e}}}
function Ah(a,b,c,d){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:return d=c.id,c.lastPushedText=!1,c.textEmbedded=!1,a=a.renderState,r(b,jd),r(b,a.placeholderPrefix),a=z(d.toString(16)),r(b,a),w(b,kd);case 1:c.status=2;var e=!0,f=c.chunks,g=0;c=c.children;for(var k=0;k<c.length;k++){for(e=c[k];g<e.index;g++)r(b,f[g]);e=Bh(a,b,e,d)}for(;g<f.length-1;g++)r(b,f[g]);g<f.length&&(e=w(b,f[g]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function Bh(a,b,c,d){var e=c.boundary;if(null===e)return Ah(a,b,c,d);e.parentFlushed=!0;if(4===e.status)e=e.errorDigest,w(b,od),r(b,qd),e&&(r(b,sd),r(b,z(G(e))),r(b,rd)),w(b,td),Ah(a,b,c,d);else if(1!==e.status)0===e.status&&(e.rootSegmentID=a.nextSegmentId++),0<e.completedSegments.length&&a.partialBoundaries.push(e),ud(b,a.renderState,e.rootSegmentID),d&&(e=e.fallbackState,e.styles.forEach(Kf,d),e.stylesheets.forEach(Lf,d)),Ah(a,b,c,d);else if(e.byteSize>a.progressiveChunkSize)e.rootSegmentID=a.nextSegmentId++,
a.completedBoundaries.push(e),ud(b,a.renderState,e.rootSegmentID),Ah(a,b,c,d);else{d&&(c=e.contentState,c.styles.forEach(Kf,d),c.stylesheets.forEach(Lf,d));w(b,ld);c=e.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");Bh(a,b,c[0],d)}return w(b,pd)}function Ch(a,b,c,d){Qd(b,a.renderState,c.parentFormatContext,c.id);Bh(a,b,c,d);return Rd(b,c.parentFormatContext)}
function Dh(a,b,c){for(var d=c.completedSegments,e=0;e<d.length;e++)Eh(a,b,c,d[e]);d.length=0;kf(b,c.contentState,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.contentState;var f=a.stylesToHoist;a.stylesToHoist=!1;var g=0===d.streamingFormat;g?(r(b,a.startInlineScript),f?0===(d.instructions&2)?(d.instructions|=10,r(b,Fe)):0===(d.instructions&8)?(d.instructions|=8,r(b,Ge)):r(b,He):0===(d.instructions&2)?(d.instructions|=2,r(b,De)):r(b,Ee)):f?r(b,Ne):r(b,Me);d=z(e.toString(16));
r(b,a.boundaryPrefix);r(b,d);g?r(b,Ie):r(b,Oe);r(b,a.segmentPrefix);r(b,d);f?g?(r(b,Je),zf(b,c)):(r(b,Pe),Bf(b,c)):g&&r(b,Ke);d=g?w(b,Le):w(b,Tb);return id(b,a)&&d}
function Eh(a,b,c,d){if(2===d.status)return!0;var e=c.contentState,f=d.id;if(-1===f){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return Ch(a,b,d,e)}if(f===c.rootSegmentID)return Ch(a,b,d,e);Ch(a,b,d,e);c=a.resumableState;a=a.renderState;(d=0===c.streamingFormat)?(r(b,a.startInlineScript),0===(c.instructions&1)?(c.instructions|=1,r(b,xe)):r(b,ye)):r(b,Be);r(b,a.segmentPrefix);f=z(f.toString(16));r(b,f);d?r(b,ze):r(b,Ce);r(b,
a.placeholderPrefix);r(b,f);b=d?w(b,Ae):w(b,Tb);return b}
function zh(a,b){l=new Uint8Array(2048);q=0;try{var c,d=a.completedRootSegment;if(null!==d)if(5!==d.status&&0===a.pendingRootTasks){var e=a.renderState;if((0!==a.allPendingTasks||null!==a.trackedPostpones)&&e.externalRuntimeScript){var f=e.externalRuntimeScript,g=a.resumableState,k=f.src,h=f.chunks;g.scriptResources.hasOwnProperty(k)||(g.scriptResources[k]=null,e.scripts.add(h))}var n=e.htmlChunks,p=e.headChunks,m;if(n){for(m=0;m<n.length;m++)r(b,n[m]);if(p)for(m=0;m<p.length;m++)r(b,p[m]);else r(b,
V("head")),r(b,U)}else if(p)for(m=0;m<p.length;m++)r(b,p[m]);var t=e.charsetChunks;for(m=0;m<t.length;m++)r(b,t[m]);t.length=0;e.preconnects.forEach(lf,b);e.preconnects.clear();var u=e.viewportChunks;for(m=0;m<u.length;m++)r(b,u[m]);u.length=0;e.fontPreloads.forEach(lf,b);e.fontPreloads.clear();e.highImagePreloads.forEach(lf,b);e.highImagePreloads.clear();e.styles.forEach(sf,b);var y=e.importMapChunks;for(m=0;m<y.length;m++)r(b,y[m]);y.length=0;e.bootstrapScripts.forEach(lf,b);e.scripts.forEach(lf,
b);e.scripts.clear();e.bulkPreloads.forEach(lf,b);e.bulkPreloads.clear();var x=e.hoistableChunks;for(m=0;m<x.length;m++)r(b,x[m]);x.length=0;n&&null===p&&r(b,Zc("head"));Bh(a,b,d,null);a.completedRootSegment=null;id(b,a.renderState)}else return;var v=a.renderState;d=0;var K=v.viewportChunks;for(d=0;d<K.length;d++)r(b,K[d]);K.length=0;v.preconnects.forEach(lf,b);v.preconnects.clear();v.fontPreloads.forEach(lf,b);v.fontPreloads.clear();v.highImagePreloads.forEach(lf,b);v.highImagePreloads.clear();v.styles.forEach(uf,
b);v.scripts.forEach(lf,b);v.scripts.clear();v.bulkPreloads.forEach(lf,b);v.bulkPreloads.clear();var X=v.hoistableChunks;for(d=0;d<X.length;d++)r(b,X[d]);X.length=0;var L=a.clientRenderedBoundaries;for(c=0;c<L.length;c++){var T=L[c];v=b;var D=a.resumableState,E=a.renderState,ia=T.rootSegmentID,ba=T.errorDigest,M=0===D.streamingFormat;M?(r(v,E.startInlineScript),0===(D.instructions&4)?(D.instructions|=4,r(v,Qe)):r(v,Re)):r(v,Ve);r(v,E.boundaryPrefix);r(v,z(ia.toString(16)));M&&r(v,Se);ba&&(M?(r(v,
Te),r(v,z(Ye(ba||"")))):(r(v,We),r(v,z(G(ba||"")))));var F=M?w(v,Ue):w(v,Tb);if(!F){a.destination=null;c++;L.splice(0,c);return}}L.splice(0,c);var P=a.completedBoundaries;for(c=0;c<P.length;c++)if(!Dh(a,b,P[c])){a.destination=null;c++;P.splice(0,c);return}P.splice(0,c);Va(b);l=new Uint8Array(2048);q=0;var sa=a.partialBoundaries;for(c=0;c<sa.length;c++){var ja=sa[c];a:{L=a;T=b;var ka=ja.completedSegments;for(F=0;F<ka.length;F++)if(!Eh(L,T,ja,ka[F])){F++;ka.splice(0,F);var ta=!1;break a}ka.splice(0,
F);ta=kf(T,ja.contentState,L.renderState)}if(!ta){a.destination=null;c++;sa.splice(0,c);return}}sa.splice(0,c);var za=a.completedBoundaries;for(c=0;c<za.length;c++)if(!Dh(a,b,za[c])){a.destination=null;c++;za.splice(0,c);return}za.splice(0,c)}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&0===a.clientRenderedBoundaries.length&&0===a.completedBoundaries.length?(a.flushScheduled=!1,c=a.resumableState,c.hasBody&&r(b,Zc("body")),c.hasHtml&&r(b,Zc("html")),Va(b),b.close(),a.destination=null):
Va(b)}}function Fh(a){a.flushScheduled=null!==a.destination;Mf?setTimeout(function(){return Nf.run(a,eh,a)},0):setTimeout(function(){return eh(a)},0);null===a.trackedPostpones&&(Mf?setTimeout(function(){return Nf.run(a,Gh,a)},0):setTimeout(function(){return Gh(a)},0))}function Gh(a){yh(a,0===a.pendingRootTasks)}function Hf(a){!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination&&(a.flushScheduled=!0,setTimeout(function(){var b=a.destination;b?zh(a,b):a.flushScheduled=!1},0))}
function Hh(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return vh(e,a,d)});c.clear()}null!==a.destination&&zh(a,a.destination)}catch(e){Y(a,e,{}),jh(a,e)}}
exports.renderToReadableStream=function(a,b){return new Promise(function(c,d){var e,f,g=new Promise(function(u,y){f=u;e=y}),k=b?b.onHeaders:void 0,h;k&&(h=function(u){k(new Headers(u))});var n=hc(b?b.identifierPrefix:void 0,b?b.unstable_externalRuntimeSrc:void 0,b?b.bootstrapScriptContent:void 0,b?b.bootstrapScripts:void 0,b?b.bootstrapModules:void 0),p=$g(a,n,fc(n,b?b.nonce:void 0,b?b.unstable_externalRuntimeSrc:void 0,b?b.importMap:void 0,h,b?b.maxHeadersLength:void 0),ic(b?b.namespaceURI:void 0),
b?b.progressiveChunkSize:void 0,b?b.onError:void 0,f,function(){var u=new ReadableStream({type:"bytes",pull:function(y){if(1===p.status)p.status=2,Xa(y,p.fatalError);else if(2!==p.status&&null===p.destination){p.destination=y;try{zh(p,y)}catch(x){Y(p,x,{}),jh(p,x)}}},cancel:function(y){p.destination=null;Hh(p,y)}},{highWaterMark:0});u.allReady=g;c(u)},function(u){g.catch(function(){});d(u)},e,b?b.onPostpone:void 0,b?b.formState:void 0);if(b&&b.signal){var m=b.signal;if(m.aborted)Hh(p,m.reason);else{var t=
function(){Hh(p,m.reason);m.removeEventListener("abort",t)};m.addEventListener("abort",t)}}Fh(p)})};exports.version="19.0.0-canary-4c12339ce-20240408";

//# sourceMappingURL=react-dom-server.edge.production.min.js.map
